# $Revision: 1.521 $, $Date: 2012/05/03 12:42:04 $
#
# TODO:
# - review python-samba
# - look into other distro specs for valid %descriptions for samba 3
# - unpackaged man pages for modules that are not built by default,
#  maybe we should build them?
#  /usr/share/man/man8/vfs_cacheprime.8*
#  /usr/share/man/man8/vfs_catia.8*
#  /usr/share/man/man8/vfs_commit.8*
#  /usr/share/man/man8/vfs_gpfs.8*
#  /usr/share/man/man8/vfs_notify_fam.8*
#  /usr/share/man/man8/vfs_prealloc.8*
# - package libs:
#      libnetapi
#      libsmbsharemodes
# - MERGE vfs modules into main package, what was the point of splitting these?
#

#
# Conditional build:
%bcond_without	ads		# without ActiveDirectory support
%bcond_without	cups		# without CUPS support
%bcond_without	kerberos5	# without Kerberos V support
%bcond_without	ldap		# without LDAP support
%bcond_without	avahi
%bcond_with	merged_build	# without samba3+samba4 merge
%bcond_without	system_libtalloc
%bcond_without	system_libtdb
								# http://wiki.samba.org/index.php/Franky
%bcond_with	mks		# with vfs-mks (mksd dependency not distributale)

# ADS requires kerberos5 and LDAP
%if %{without kerberos5} || %{without ldap}
%undefine	with_ads
%endif

%if %{with system_libtalloc}
%define		libtalloc_ver	2.0.1
%else
%define		libtalloc_ver	%{epoch}:%{version}-%{release}
%endif

%if %{with system_libtdb}
%define		libtdb_ver		2:1.2.9
%else
%define		libtdb_ver		%{epoch}:%{version}-%{release}
%endif

%define		vscan_version 0.3.6c-beta5
Summary:	SMB server
Summary(cs.UTF-8):	Server SMB
Summary(da.UTF-8):	SMB server
Summary(de.UTF-8):	SMB-Server
Summary(es.UTF-8):	El servidor SMB
Summary(fi.UTF-8):	SMB-palvelin
Summary(fr.UTF-8):	Serveur SMB
Summary(it.UTF-8):	Server SMB
Summary(ja.UTF-8):	Samba SMB サーバー
Summary(ko.UTF-8):	삼바 SMB 서버
Summary(pl.UTF-8):	Serwer SMB
Summary(pt_BR.UTF-8):	Cliente e servidor SMB
Summary(ru.UTF-8):	SMB клиент и сервер
Summary(tr.UTF-8):	SMB sunucusu
Summary(uk.UTF-8):	SMB клієнт та сервер
Summary(zh_CN.UTF-8):	Samba 客户端和服务器
Name:		samba
Version:	3.6.5
Release:	1
Epoch:		1
License:	GPL v3
Group:		Networking/Daemons
Source0:	http://www.samba.org/samba/ftp/stable/%{name}-%{version}.tar.gz
# Source0-md5:	2f0c14547333c1b48fd4728b031e7040
Source1:	smb.init
Source2:	%{name}.pamd
Source3:	swat.inetd
Source4:	%{name}.sysconfig
Source5:	%{name}.logrotate
Source6:	smb.conf
Source7:	winbind.init
Source8:	winbind.sysconfig
Source9:	%{name}-rfc3454.txt
Patch0:		%{name}-smbwrapper.patch
Patch1:		%{name}-c++-nofail.patch
Patch2:		%{name}-pthread.patch
Patch3:		%{name}-nscd.patch
Patch4:		%{name}-lprng-no-dot-printers.patch
Patch5:		%{name}-passdb-smbpasswd.patch
URL:		http://www.samba.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_avahi:BuildRequires:	avahi-devel}
BuildRequires:	ctdb-devel
%{?with_cups:BuildRequires:	cups-devel >= 1:1.2.0}
BuildRequires:	dmapi-devel
BuildRequires:	gamin-devel
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	iconv
BuildRequires:	keyutils-devel
BuildRequires:	libmagic-devel
BuildRequires:	libnscd-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	make >= 3.81
BuildRequires:	ncurses-devel >= 5.2
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel >= 0.99.8.1
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.304
BuildRequires:	sed >= 4.0
%{?with_system_libtalloc:BuildRequires:	talloc-devel >= %{libtalloc_ver}}
%{?with_system_libtdb:BuildRequires:	tdb-devel >= %{libtdb_ver}}
BuildRequires:	xfsprogs-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	logrotate >= 3.7-4
Requires:	pam >= 0.99.8.1
Requires:	rc-scripts >= 0.4.0.12
Requires:	setup >= 2.4.6-7
# smbd links with libcups
%{?with_cups:Requires:	cups-lib >= 1:1.2.0}
Obsoletes:	python-samba
Obsoletes:	samba-pdb-xml
Obsoletes:	samba-vfs-block
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vfsdir		%{_libdir}/%{name}/vfs
%define		_sambahome	/home/services/samba
%define		_sambalibdir	%{_libdir}/%{name}
%if %{with cups}
%define		cups_serverbin	%{_prefix}/lib/cups
%endif
%define		schemadir	/usr/share/openldap/schema

# CFLAGS modified (the second ./configure)
%undefine	configure_cache

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
also provides some SMB clients, which complement the built-in SMB
filesystem in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame) protocol.

This release is known as the "Locking Update" and has full support for
Opportunistic File Locking. In addition this update includes native
support for Microsoft encrypted passwords, improved browse list and
WINS database management.

Please refer to the WHATSNEW.txt document for fixup information. This
binary release includes encrypted password support. Please read the
smb.conf file for implementation details.

%description -l cs.UTF-8
Samba poskytuje server SMB, který lze použít pro poskytování síťových
služeb klientům SMB (někdy nazývaných klienti "LAN manažer") včetně
klientů různých verzí MS Windows, OS/2 a dalších linuxových strojů.
Samba též poskytuje některé klienty SMB, kteří komplementují vestavěný
souborový systém SMB v Linuxu. Samba používá protokoly NetBIOS přes
TCP/IP (NetBT) a NEpotřebuje protokol NetBEUI (neformátovaný rámec
NetBIOS od společnosti Microsoft.

%description -l da.UTF-8
Samba tilbyder en SMB server som kan bruges til at tilbyde netværk
services til SMB (også kaldet "Lan Manager") klienter, incl.
forskellige versioner af MS Windows, OS/2, og andre Linux maskiner.
Samba tilbyder også SMB klienter, som udbygger det indbyggede SMB
filsystem i Linux. Samba benytter NetBIOS over TCP/IP (NetBT)
protocolen og kræver ikke NetBEUI (Microsoft Raw NetBIOS frame)
protokollen.

%description -l de.UTF-8
Samba stellt einen SMB-Server zum Anbieten von Netzwerkdiensten für
SMB-Clients (auch "Lan Manager" genannt) zur Verfügung, darunter
verschiedenen Versionen von MS Windows-, OS/2- und anderen
Linux-Rechnern. Samba enthält außerdem einige SMB-Clients, die das in
Linux integrierte SMB-Dateisystem ergänzen. Samba benutzt
NetBIOS-über-TCP/IP (NetBT)-Protokolle und benötigt KEIN NetBEUI
(Microsoft Raw NetBIOS frame)-Protokoll.

%description -l es.UTF-8
Samba provee un servidor SMB que se puede usar para ofrecer servicios
de red a clientes SMB (algunas veces se le llama de "Lan Manager"),
incluyendo varias versiones de MS Windows, OS/2, y otras máquinas
Linux. Samba también ofrece algunos clientes SMB, que complementan el
sistema de archivos SMB de Linux. Samba usa el protocolo NetBIOS sobre
TCP/IP (NetBT) y no necesita del protocolo NetBEUI (Microsoft Raw
NetBIOS frame).

%description -l fi.UTF-8
Samba on SMB-palvelin, jota voidaan käyttää SMB-asiakasohjelmien
verkkopalvelujen tarjoajana. SMB-protokollaa kutsutaan joskus "Lan
Manager" protokollaksi ja asiakasohjelmat toimivat dosissa,
Windowseissa, OS/2:ssa ja toisissa Linux-koneissa. Samban mukana on
myös joitakin SMB-asiakasohjelmia, jotka täydentävät Linuxin
kernelissä olevaa SMB-tiedostojärjestelmän tukea. Samba vaatii NetBIOS
over TCP/IP (NetBT) protokollaa eikä tarvitse tai pysty käyttämään
NetBEUI-protokollaa.

%description -l it.UTF-8
Samba fornisce un server SMB che puo` essere usato per fornire servizi
di rete ai client SMB, incluse le versioni MS Windows, OS/2 e per
altre macchine Linux. Samba fornisce anche i client SMB. Samba usa
NetBIOS sopra TCP/IP e non ha bisogno del protocollo NetBEUI.

%description -l ja.UTF-8
Samba は MS Windows の様々なバージョン、OS/2 そして他の Linux マシン
を含む SMB (たまに "Lan Manager" と呼ばれる)
クライアントにネットワーク サービスを提供するために使用される SMB
サーバを提供します。Samba は NetBIOS over TCP/IP (NetBT)
プロトコルを使用し、 NetBEUI(Microsoft Raw NetBIOS frame)
プロトコルは必要ありません。

Samba ほとんど動作する NT ドメインコントロールの機能を特徴とし、
好きなブラウザを使って samba の smb.conf ファイルをリモート管理する
新しい SWAT (Samba Web Administration Tool) を含みます。
目下のところこれは inetd を通して TCP ポート 901 で有効になります。

%description -l ko.UTF-8
삼바는 MS Windows, OS/2, 혹은 다른 리눅스 머신을 포함하는 SMB(혹은
"Lan Manager"라고도 불림) 클라이언트를 네트워크 서비스 위해 사용할 수
있는 SMB 서버를 제공한다. 삼바는 TCP/IP 프로토콜을 통해 NetBIOS를
사용하고 NetBEUI (Microsoft Raw NetBIOS 프레임) 프로토콜은 필요하지
않다.

삼바-2.2 의 특징은 NT 도메인 컨트롤의 성능으로 작업을 하고, 새로운
SWAT(Samba Web Administration Tool)로 웹브라우저를 사용하여 원격지에서
삼바의 smb.conf 파일을 관리하도록 한다. 이러한 경우 inetd 데몬을 통해
TCP 901 포트를 사용하게 된다.

최근 정보로 WHATSNEW.txt 파일의 문서를 참고하도록 한다. 바이너리의
릴리즈는 암호화된 패스워드를 제공한다.

%description -l pl.UTF-8
Samba udostępnia serwer SMB, który może być użyty w celu dostarczenia
usług sieciowych (potocznie zwanych "Lan Manager"), dla klientów
takich jak MS Windows, OS/2 a także maszyn linuksowych. W pakiecie
znajduje się również oprogramowanie klienckie. Samba używa protokołu
NetBIOS po TCP/IP (NetBT) i nie wymaga protokołu NetBEUI. Ta wersja ma
pełne wsparcie dla blokowania plików, a także wsparcie dla kodowania
haseł w standardzie MS i zarządzania bazą WINS.

%description -l pt_BR.UTF-8
O Samba provê um servidor SMB que pode ser usado para oferecer
serviços de rede a clientes SMB (algumas vezes chamado de "Lan
Manager"), incluindo várias versões de MS Windows, OS/2, e outras
máquinas Linux. O Samba também fornece alguns clientes SMB, que
complementam o sistema de arquivos SMB do Linux. O Samba usa o
protocolo NetBIOS sobre TCP/IP (NetBT) e não necessita do protocolo
NetBEUI (Microsoft Raw NetBIOS frame).

O Samba inclui a maioria das características de um servidor de
Controle de Domínios NT e o SWAT (Samba Web Administration Tool), que
permite que o arquivo smb.conf seja gerenciado remotamente através de
um navegador. Atualmente isto está sendo habilitado na porta TCP 901
via inetd.

%description -l ru.UTF-8
Samba предоставляет SMB-сервер, который может быть использован для
предоставления сетевых сервисов SMB (иногда называемым "Lan Manager")
клиентам, включая разнообразные версии MS Windows, OS/2, и другие
Linux-машины. Samba также предоставляет SMB-клиентов, которые работают
со встроенной в Linux файловой системой SMB.

Samba использует протокол NetBIOS over TCP/IP (NetBT) и не нуждается в
протоколе NetBEUI (Microsoft Raw NetBIOS frame).

Samba содержит практически работающую реализацию NT Domain Control и
включает новый SWAT (Samba Web Administration Tool), который позволяет
удаленно управлять конфигурационным файлом smb.conf при помощи вашего
любимого WEB-броузера. Пока что он разрешен через inetd на TCP-порту
901.

%description -l uk.UTF-8
Samba надає SMB-сервер, що може бути використаний для надання
мережевих сервісів SMB (що їх іноді називають "Lan Manager") клієнтам,
включаючи різноманітні версії MS Windows, OS/2, та інші Linux-машини.
Samba також надає SMB-клієнтів, що працюють з вбудованою в Linux
файловою системою SMB.

Samba використовує протокол NetBIOS over TCP/IP (NetBT) та не потребує
протоколу NetBEUI (Microsoft Raw NetBIOS frame).

Samba містить майже працюючу реализацію NT Domain Control та новый
SWAT (Samba Web Administration Tool), котрий дозволяє віддалено
керувати конфігураційним файлом smb.conf за допомогою вашого
улюбленого WEB-броузера. Поки що він дозволений через inetd на
TCP-порту 901.

%package swat
Summary:	Samba Web Administration Tool
Summary(pl.UTF-8):	Narzędzie administracyjne serwisu Samba
Summary(pt_BR.UTF-8):	Samba SWAT e documentação Web
Summary(ru.UTF-8):	Программа конфигурации SMB-сервера Samba
Summary(uk.UTF-8):	Програма конфигурації SMB-сервера Samba
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	inetdaemon
Requires:	rc-inetd >= 0.8.2
Obsoletes:	swat

%description swat
swat allows a Samba administrator to configure the complex smb.conf
file via a Web browser. In addition, a swat configuration page has
help links to all the configurable options in the smb.conf file
allowing an administrator to easily look up the effects of any change.

%description swat -l pl.UTF-8
swat pozwala na kompleksową konfigurację smb.conf przy pomocy
przeglądarki WWW.

%description swat -l pt_BR.UTF-8
SWAT - ferramentada Web de configuração do Samba.

%description swat -l ru.UTF-8
Пакет samba-swat включает новый SWAT (Samba Web Administration Tool),
для удаленного администрирования файла smb.conf при помощи вашего
любимого Web-браузера.

%description swat -l uk.UTF-8
Пакет samba-swat містить новий SWAT (Samba Web Administration Tool),
для дистанційного адміністрування файлу smb.conf за допомогою вашого
улюбленого Web-браузеру.

%package client
Summary:	Samba client programs
Summary(es.UTF-8):	Cliente SMB de Samba
Summary(ja.UTF-8):	Samba (SMB) クライアントプログラム
Summary(pl.UTF-8):	Klienci serwera Samba
Summary(pt_BR.UTF-8):	Cliente SMB do samba
Summary(ru.UTF-8):	Клиентские программы Samba (SMB)
Summary(uk.UTF-8):	Клієнтські програми Samba (SMB)
Group:		Applications/Networking
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_kerberos5:Requires:	heimdal-libs}
Requires:	libsmbclient = %{epoch}:%{version}-%{release}
Obsoletes:	smbfs
Suggests:	cifs-utils

%description client
Samba-client provides some SMB clients, which complement the build-in
SMB filesystem in Linux. These allow accessing of SMB shares and
printing to SMB printers.

%description client -l es.UTF-8
Cliente SMB de Samba.

%description client -l ja.UTF-8
Samba-client は Linux 上に含まれている SMB ファイルシステムを補う SMB
クライアントを提供します。これらは SMB 共有のアクセスと SMB
プリンタへの印刷を許可します。

%description client -l pl.UTF-8
Samba-client dostarcza programy uzupełniające obsługę systemu plików
SMB zawartą w jądrze. Pozwalają one na współdzielenie zasobów SMB i
drukowanie w sieci SMB.

%description client -l pt_BR.UTF-8
O pacote samba-clientes prove alguns clientes SMB, que complementam o
sistema de arquivos SMB do Linux. Eles permitem o acesso a shares SMB,
e também, à impressoras SMB.

%description client -l ru.UTF-8
Пакет samba-client предоставляет некоторые клиенты SMB для работы со
встроенной файловой системой SMB в Linux. Эти клиенты позволяют
получать доступ к разделяемым каталогам SMB и печать на SMB-принтеры.

%description client -l uk.UTF-8
Пакет samba-client надає деякі клієнти SMB для роботи зі вбудованою
файловою системою SMB в Linux. Ці клієнти дозволяють отримувати доступ
до каталогів спільного використання SMB та друк на SMB-прінтери.

%package common
Summary:	Files used by both Samba servers and clients
Summary(ja.UTF-8):	Samba サーバーとクライアントで使用されるプログラム
Summary(pl.UTF-8):	Pliki używane przez serwer i klientów Samba
Summary(pt_BR.UTF-8):	Arquivos em comum entre samba e samba-clients
Summary(ru.UTF-8):	Файлы, используемые как сервером, так и клиентом Samba
Summary(uk.UTF-8):	Файли, що використовуються як сервером, так і клієнтом Samba
Group:		Networking/Daemons
Requires:	talloc >= %{libtalloc_ver}
Requires:	tdb >= %{libtdb_ver}

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description common -l ja.UTF-8
Samba-common は Samba のサーバとクライアントの両方のパッケージで
使用されるファイルを提供します。

%description common -l pl.UTF-8
Samba-common dostarcza pliki niezbędne zarówno dla serwera jak i
klientów Samba.

%description common -l pt_BR.UTF-8
Arquivos em comum entre os pacotes samba e samba-clients.

%description common -l ru.UTF-8
Samba-common содержит файлы, необходимые для работы как клиента, так и
сервера Samba.

%description common -l uk.UTF-8
Samba-common містить файли, необхідні для роботи як клієнта, так і
сервера Samba.

%package winbind
Summary:	Samba-winbind daemon, utilities and documentation
Summary(pl.UTF-8):	Demon samba-winbind, narzędzia i dokumentacja
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description winbind
Provides the winbind daemon and testing tools to allow authentication
and group/user enumeration from a Windows or Samba domain controller.

%description winbind -l pl.UTF-8
Pakiet zawiera demona winbind oraz narzędzia testowe. Umożliwia
uwierzytelnianie i wyliczanie grup/użytkowników z kontrolera domeny
Windows lub Samba.

%package -n nss_wins
Summary:	Name Service Switch service for WINS
Summary(pl.UTF-8):	Usługa Name Service Switch dla WINS
Group:		Base
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description -n nss_wins
Provides the libnss_wins shared library which resolves NetBIOS names
to IP addresses.

%description -n nss_wins -l pl.UTF-8
Biblioteka dzielona libnss_wins rozwiązująca nazwy NetBIOS na adresy
IP.

%package -n pam-pam_smbpass
Summary:	PAM Samba Password Module
Summary(pl.UTF-8):	Moduł PAM smbpass
Group:		Base
Obsoletes:	pam_smbpass

%description -n pam-pam_smbpass
PAM module which can be used on conforming systems to keep the
smbpasswd (Samba password) database in sync with the Unix password
file.

%description -n pam-pam_smbpass -l pl.UTF-8
Moduł PAM, który może być używany do trzymania pliku smbpasswd (hasła
Samby) zsynchronizowanego z hasłami uniksowymi.

%package -n libsmbclient
Summary:	libsmbclient - samba client library
Summary(pl.UTF-8):	libsmbclient - biblioteka klienta samby
Group:		Libraries

%description -n libsmbclient
libsmbclient - library that allows to use samba clients functions.

%description -n libsmbclient -l pl.UTF-8
libsmbclient - biblioteka pozwalająca korzystać z funcji klienta
samby.

%package -n libsmbclient-devel
Summary:	libsmbclient - samba client library
Summary(pl.UTF-8):	libsmbclient - biblioteka klienta samby
Summary(pt_BR.UTF-8):	Ferramentas de desenvolvimento para clientes samba
Group:		Development/Libraries
Requires:	libsmbclient = %{epoch}:%{version}-%{release}

%description -n libsmbclient-devel
Header files for libsmbclient.

%description -n libsmbclient-devel -l pl.UTF-8
Pliki nagłówkowe dla libsmbclient.

%description -n libsmbclient-devel -l pt_BR.UTF-8
Arquivos de inclusão, bibliotecas e documentação necessários para
desenvolver aplicativos clientes para o samba.

%package -n libsmbclient-static
Summary:	Static version of libsmbclient - samba client library
Summary(pl.UTF-8):	Statyczna wersja libsmbclient - biblioteki klienta samby
Summary(pt_BR.UTF-8):	Ferramentas de desenvolvimento para clientes samba
Group:		Development/Libraries
Requires:	libsmbclient = %{epoch}:%{version}-%{release}

%description -n libsmbclient-static
Static libsmbclient library.

%description -n libsmbclient-static -l pl.UTF-8
Statyczna biblioteka libsmbclient.

%package -n libtalloc
Summary:	The talloc library
Group:		Libraries

%description -n libtalloc
The talloc library from the Samba suite.

%package -n libtalloc-devel
Summary:	Developer tools for the talloc library
Group:		Development/Libraries
Requires:	libtalloc = %{epoch}:%{version}-%{release}

%description -n libtalloc-devel
The libtalloc-devel package contains the header files and libraries
needed to develop programs that link against the talloc library in the
Samba suite.

%package -n tdb
Summary:	TDB - Trivial Database
Summary(pl.UTF-8):	TDB - prosta baza danych
Group:		Libraries
Obsoletes:	tdb-extras

%description -n tdb
TDB is a Trivial Database. In concept, it is very much like GDBM, and
BSD's DB except that it allows multiple simultaneous writers and uses
locking internally to keep writers from trampling on each other. TDB
is also extremely small.

%description -n tdb -l pl.UTF-8
TDB to Trivial Database, czyli prosta baza danych. W założeniach jest
bardzo podobna do GDBM lub DB z BSD z wyjątkiem tego, że pozwala na
zapis wielu procesom jednocześnie i używa wewnętrznie blokowania, aby
nie pozwolić piszącym na zadeptanie się nawzajem. TDB jest ponadto
ekstremalnie mała.

%package  -n tdb-devel
Summary:	Header files for TDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TDB
Group:		Development/Libraries
Requires:	tdb = %{epoch}:%{version}-%{release}

%description -n tdb-devel
Header files for TDB library.

%description -n tdb-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TDB.

%package devel
Summary:	Header files for Samba
Summary(pl.UTF-8):	Pliki nagłówkowe Samby
Group:		Development/Libraries

%description devel
Header files for Samba.

%description devel -l pl.UTF-8
Pliki nagłówkowe Samby.

%package -n smbget
Summary:	A utility for retrieving files using the SMB protocol
Summary(pl.UTF-8):	Narzędzie do pobierania plików protokołem SMB
Group:		Applications/Networking

%description -n smbget
wget-like utility for download files over SMB.

%description -n smbget -l pl.UTF-8
Narzędzie podobne do wgeta do pobierania plików protokołem SMB
używanym w sieciach MS Windows.

%package -n cups-backend-smb
Summary:	CUPS backend for printing to SMB printers
Summary(pl.UTF-8):	Backend CUPS-a drukujący na drukarkach SMB
Group:		Applications/Printing
Requires:	%{name}-client = %{epoch}:%{version}-%{release}
Requires:	cups >= 1:1.2.0

%description -n cups-backend-smb
CUPS backend for printing to SMB printers.

%description -n cups-backend-smb -l pl.UTF-8
Backend CUPS-a drukujący na drukarkach SMB.

%package vfs-audit
Summary:	VFS module to audit file access
Summary(pl.UTF-8):	Moduł VFS do monitorowania operacji na plikach
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-audit
A simple module to audit file access to the syslog facility. The
following operations are logged:
 - share connect/disconnect,
 - directory opens/create/remove,
 - file open/close/rename/unlink/chmod.

%description vfs-audit -l pl.UTF-8
Proste moduły do monitorowania dostępu do plików na serwerze samba do
do sysloga. Monitorowane są następujące operacje:
 - podłączenie do/odłączenie od zasobu,
 - otwarcie/utworzenie/zmiana nazwy katalogu,
 - otwarcie/zamknięcie/zmiana nazwy/skasowanie/zmiana praw plików.

Zawiera moduły audit, extd_audit i full_audit.

%package vfs-cap
Summary:	VFS module for CAP and samba compatibility
Summary(pl.UTF-8):	Moduł VFS zgodności z CAP (Columbia AppleTalk Program)
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-cap
Convert an incoming Shift-JIS character to the 3 byte hex
representation used by the Columbia AppleTalk Program (CAP), i.e. :AB.
This is used for compatibility between Samba and CAP.

%description vfs-cap -l pl.UTF-8
Zamienia znaki kodowane Shift-JIS do trzybajowej szestnastkowej
reprezentacji używanej przez program Columbia AppleTalk Program (CAP).

%package vfs-default_quota
Summary:	VFS module to store default quotas in a specified quota record
Summary(pl.UTF-8):	Moduł VFS do zapisywania domyślnych limitów w określonym rekordzie
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-default_quota
This VFS modules stores default quotas in a specified quota record.

%description vfs-default_quota -l pl.UTF-8
Ten moduł VFS zapisuje domyślne limity (quoty) w określonym rekordzie
limitów.

%package vfs-expand_msdfs
Summary:	VFS module for hosting a Microsoft Distributed File System Tree
Summary(pl.UTF-8):	Moduł VFS obsługi Microsoft Distributed File System
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-expand_msdfs
A VFS module for hosting a Microsoft Distributed File System Tree.

The Distributed File System (DFS) provides a means of separating the
logical view of files and directories that users see from the actual
physical locations of these resources on the network. It allows for
higher availability, smoother storage expansion, load balancing, and
so on.

%description vfs-expand_msdfs -l pl.UTF-8
Moduł VFS do udostępniania drzewa systemu plików Microsoft Distributed
File System.

Distributed File System (DFS) umożliwia rozdzielanie logicznego widoku
plików i katalogów widocznych przez użytkowników z fizycznego
umiejscowienia tych zasobów w sieci. Pozwala to na wyższą dostępność,
płynniejsze powiększanie przestrzeni, rozdzielanie obciążenia itp.

%package vfs-fake_perms
Summary:	VFS module to report read-only fires as writable
Summary(pl.UTF-8):	Moduł VFS udający, że pliki tylko do odczytu są zapisywalne
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-fake_perms
This module allow Roaming Profile files and directories to be set (on
the Samba server under UNIX) as read only. This module will, if
installed on the Profiles share, report to the client that the Profile
files and directories are writeable. This satisfies the client even
though the files will never be overwritten as the client logs out or
shuts down.

%description vfs-fake_perms -l pl.UTF-8
Ten moduł pozwala na ustawienie plików i katalogów z wędrujących
profili (Roaming Profiles) jako tylko do odczytu. Moduł ten w
przypadku zainstalowania na udziale z profilami będzie zgłaszał
klientom, że pliki i katalogi z profilu są zapisywane. To wystarczy
klientom pomimo, że pliki nie zostaną nigdy nadpisane przy logowaniu
lub wylogowywaniu klienta.

%package vfs-notify_fam
Summary:	VFS module to implement file change notifications
Summary(pl.UTF-8):	Moduł VFS implementujący informowanie o zmianach w plikach
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-notify_fam
The vfs_notify_fam module makes use of the system FAM (File Alteration
Monitor) daemon to implement file change notifications for Windows
clients.

%description vfs-notify_fam -l pl.UTF-8
Ten moduł używa demona FAM (File Alteration Monitor) do implementacji
informowania o zmianach w plikach dla klientów Windows.

%package vfs-netatalk
Summary:	VFS module for ease co-existence of samba and netatalk
Summary(pl.UTF-8):	Moduł VFS ułatwiający współpracę serwisów samba i netatalk
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-netatalk
Package contains a netatalk VFS module for ease co-existence of Samba
and netatalk file sharing services.

%description vfs-netatalk -l pl.UTF-8
Pakiet zawiera moduł VFS netatalk umożliwiający współpracę usług samba
i netatalk przy udostępnianiu zasobów.

%package vfs-recycle
Summary:	VFS module to add recycle bin facility to a samba share
Summary(pl.UTF-8):	Moduł VFS dodający możliwość kosza do zasobu samby
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-recycle
VFS module to add recycle bin facility to a samba share.

%description vfs-recycle -l pl.UTF-8
Moduł VFS dodający możliwość kosza do zasobu samby.

%package vfs-readahead
Summary:	VFS module for pre-loading the kernel buffer cache
Summary(pl.UTF-8):	Moduł VFS do wczesnego odczytu danych do bufora cache jądra
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-readahead
This VFS module detects read requests at multiples of a given offset
(hex 0x80000 by default) and then tells the kernel via either the
readahead system call (on Linux) or the posix_fadvise system call to
pre-fetch this data into the buffer cache.

This module is useful for Windows Vista clients reading data using the
Windows Explorer program, which asynchronously does multiple file read
requests at offset boundaries of 0x80000 bytes.

%description vfs-readahead -l pl.UTF-8
Ten moduł VFS wykrywa żądania odczytu spod wielokrotności podanych
pozycji (domyślnie 0x80000 szesnastkowo) i instruuje jądro poprzez
wywołanie systemowe readahead (pod Linuksem) lub posix_fadvise do
wczesnego odczytu tych danych do bufora cache.

Ten moduł jest przydatny dla klientów Windows Vista odczytujących dane
przy użyciu programu Windows Explorer, który asynchronicznie wykonuje
wiele żądań odczytu plików spod pozycji o wielokrotnościach 0x80000
bajtów.

%package vfs-readonly
Summary:	VFS module for read-only limitation for specified share
Summary(pl.UTF-8):	Moduł VFS do ograniczania określonego udziału tylko do odczytu
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-readonly
This module performs a read-only limitation for specified share (or
all of them if it is loaded in a [global] section) based on period
definition in smb.conf.

%description vfs-readonly -l pl.UTF-8
Ten moduł wprowadza ograniczenie tylko do odczytu dla określonego
udziału (lub wszystkich, jeśli jest wczytywany w sekcji [global]) w
oparciu o definicje okresów w smb.conf.

%package vfs-shadow_copy
Summary:	VFS module to make automatic copy of data in samba share
Summary(pl.UTF-8):	Moduł VFS do tworzenia automatycznych kopii danych w zasobach samby
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-shadow_copy
VFS module to make automatic copy of data in samba share.

%description vfs-shadow_copy -l pl.UTF-8
Moduł VFS do tworzenia automatycznych kopii danych w zasobach samby.

%package vfs-catia
Summary:	VFS module to fix Catia CAD filenames
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-catia
The Catia CAD package commonly creates filenames that use characters
that are illegal in CIFS filenames. The vfs_catia VFS module
implements a fixed character mapping so that these files can be shared
with CIFS clients.

%package vfs-scannedonly
Summary:	Anti-virus solution as VFS module
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-scannedonly
The vfs_scannedonly VFS module ensures that only files that have been
scanned for viruses are visible and accessible to the end user. If
non-scanned files are found an anti-virus scanning daemon is notified.

%package -n openldap-schema-samba
Summary:	Samba LDAP schema
Summary(pl.UTF-8):	Schemat LDAP dla samby
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-samba
This package contains samba.schema for openldap.

%description -n openldap-schema-samba -l pl.UTF-8
Ten pakiet zawiera schemat samby dla openldap-a.

%package doc-html
Summary:	Samba HTML documentation
Summary(pl.UTF-8):	Documentacja samby w formacie HTML
Group:		Documentation

%description doc-html
Samba HTML documentation.

%description doc-html -l pl.UTF-8
Documentacja samby w formacie HTML.

%package doc-pdf
Summary:	Samba documentation - PDF format
Summary(pl.UTF-8):	Documentacja samby w formacie PDF
Group:		Documentation

%description doc-pdf
Samba PDF documentation.

%description doc-pdf -l pl.UTF-8
Documentacja samby w formacie PDF.

%package -n python-samba
Summary:	Samba Module for Python
Group:		Development/Languages/Python
%pyrequires_eq 	python
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description -n python-samba
Samba Module for Python.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if "%{pld_release}" == "ti"
%patch5 -p1
%endif

%{__sed} -i 's#%SAMBAVERSION%#%{version}#' docs/htmldocs/index.html

# deprecated in gnutls 3.0
%{__sed} -i -e "s/gnutls_transport_set_lowat(tls->session, 0);//"      source4/lib/tls/tls.c
%{__sed} -i -e "s/gnutls_transport_set_lowat(tlss->tls_session, 0);//" source4/lib/tls/tls_tstream.c

#cd examples/VFS
#mv README{,.vfs}
#cd ../..

install %{SOURCE9} source4/heimdal/lib/wind/rfc3454.txt

%build
# use ld.bfd because gold doesn't understand linker script
install -d our-ld
ln -s %{_bindir}/ld.bfd our-ld/ld
export PATH=$(pwd)/our-ld:$PATH


cd source3
%{__libtoolize}
%{__autoconf} -Im4 -I../m4 -I../lib/replace -Ilib/replace -I../source4
%configure \
	--with-modulesdir=%{_sambalibdir} \
	--with-rootsbindir=/sbin \
	--with-pammodulesdir=/%{_lib}/security \
	--with-acl-support \
	--with-aio-support \
	--with-automount \
	--with-libsmbclient \
	--with-lockdir=/var/lib/samba \
	--with-pam \
	--with-pam_smbpass \
	--with%{!?with_ads:out}-ads \
	--with-privatedir=%{_sysconfdir}/samba \
	--with-quotas \
	--with-readline \
	--with-swatdir=%{_datadir}/swat \
	--with-syslog \
	--with-utmp \
	--with-fhs \
%if %{with system_libtalloc}
	--with-libtalloc=no \
	--enable-external-libtalloc=yes \
%endif
%if %{with system_libtdb}
	--with-libtdb=no \
	--enable-external-libtdb=yes \
%endif
	--without-included-popt \
	--enable-dso \
	--%{?with_avahi:en}%{!?with_avahi:dis}able-avahi \
	--disable-dnssd \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_kerberos5:out}-krb5

%{__make} -j1 everything pam_smbpass bin/smbget bin/vfstest \
	LD=ld

cd ../examples
%{__make} -C libsmbclient/smbwrapper \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC \$(DEFS) \\\$(SMBINCLUDE)"

cd VFS
%{__autoheader}
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,pam.d,security,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{/var/{log,log/archive,spool}/samba,/var/lib/samba/printing} \
	$RPM_BUILD_ROOT/var/log/samba/cores/{smbd,nmbd} \
	$RPM_BUILD_ROOT{/sbin,/%{_lib}/security,%{_libdir},%{_vfsdir},%{_includedir},%{_sambahome},%{schemadir}}

%{__make} -C source3 install \
	DESTDIR=$RPM_BUILD_ROOT \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba

install -p source3/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_sbindir}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/samba
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/swat
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/samba
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/samba
cp -p %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
install -p %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/winbind
cp -p %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/winbind

install -p nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -s libnss_winbind.so.2		$RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so
install -p nsswitch/libnss_wins.so	$RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -s libnss_wins.so.2			$RPM_BUILD_ROOT/%{_lib}/libnss_wins.so
install -p source3/bin/wbinfo		$RPM_BUILD_ROOT%{_bindir}
install -p source3/bin/smbget		$RPM_BUILD_ROOT%{_bindir}
install -p source3/bin/vfstest		$RPM_BUILD_ROOT%{_bindir}

cp -a source3/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/libsmbclient.a

# smbwrapper
install -p examples/libsmbclient/smbwrapper/smbwrapper.so $RPM_BUILD_ROOT%{_libdir}/smbwrapper.so
install -p examples/libsmbclient/smbwrapper/smbsh $RPM_BUILD_ROOT%{_bindir}
cp -p examples/libsmbclient/smbwrapper/smbsh.1 $RPM_BUILD_ROOT%{_mandir}/man1

# these are needed to build samba-pdbsql
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/nsswitch
cp -a source3/include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}
cp -a nsswitch/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/nsswitch
%if %{without system_libtdb}
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/tdb
cp -a lib/tdb/include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/tdb
%endif

touch $RPM_BUILD_ROOT/var/lib/samba/{wins.dat,browse.dat}

echo '127.0.0.1 localhost' > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts

%if %{with cups}
install -d $RPM_BUILD_ROOT%{cups_serverbin}/backend
ln -s %{_bindir}/smbspool $RPM_BUILD_ROOT%{cups_serverbin}/backend/smb
%endif

> $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
> $RPM_BUILD_ROOT/etc/security/blacklist.samba

# unneeded
#rm -r $RPM_BUILD_ROOT%{_datadir}/swat/using_samba

# tests
%if %{with merged_build}
rm -r $RPM_BUILD_ROOT%{_bindir}/{gentest4,locktest4,masktest4,nsstest4}
%endif

%if %{with ldap}
install examples/LDAP/samba.schema $RPM_BUILD_ROOT%{schemadir}
%endif

%if %{with system_libtdb}
# remove manuals of tdb if system lib used
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/tdbbackup.8*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/tdbdump.8*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/tdbtool.8*
%endif

%find_lang pam_winbind

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" -o -name "*.a" -o -name "*.la" | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb
if [ -f /var/lock/samba/connections.tdb -a ! -f /var/lib/samba/connections.tdb ]; then
	echo >&2 "Moving old /var/lock/samba contents to /var/lib/samba"
	/sbin/service smb stop >&2
	mv -f /var/lock/samba/*.tdb /var/lib/samba 2>/dev/null || :
	mv -f /var/lock/samba/*.dat /var/lib/samba 2>/dev/null || :
	if [ -d /var/lock/samba/printing ]; then
		mv -f /var/lock/samba/printing/*.tdb /var/lib/samba/printing 2>/dev/null || :
	fi
	/sbin/service smb start >&2
else
	%service smb restart "Samba daemons"
fi

%preun
if [ "$1" = "0" ]; then
	%service smb stop
	/sbin/chkconfig --del smb
fi

%post winbind
/sbin/chkconfig --add winbind
%service winbind restart "Winbind daemon"

%preun winbind
if [ "$1" = "0" ]; then
	%service winbind stop
	/sbin/chkconfig --del winbind
fi

%post swat
%service -q rc-inetd reload

%postun swat
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n openldap-schema-samba
# dependant schemas: cosine(uid) inetorgperson(displayName) nis(gidNumber)
%openldap_schema_register %{schemadir}/samba.schema -d cosine,inetorgperson,nis
%service -q ldap restart

%postun -n openldap-schema-samba
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/samba.schema
	%service -q ldap restart
fi

%triggerpostun -- samba < 1.9.18p7
if [ "$1" != "0" ]; then
	/sbin/chkconfig --add smb
fi

%if "%{pld_release}" != "ti"
%triggerpostun -- samba < 3.4.0
%banner %{name} << EOF
!!! WARNING !!! The default passdb backend has been changed to 'tdbsam'!
That breaks existing setups using the 'smbpasswd' backend without explicit declaration!
Please use 'passdb backend = smbpasswd' if you would like to stick to the 'smbpasswd'
backend or convert your smbpasswd entries using e.g. 'pdbedit -i smbpasswd -e tdbsam'.
EOF
%endif

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/nmbd
%attr(755,root,root) %{_sbindir}/smbd
%attr(755,root,root) %{_sbindir}/mksmbpasswd.sh
%if %{with merged_build}
#%attr(755,root,root) %{_bindir}/ad2oLschema4
%attr(755,root,root) %{_bindir}/oLschema2ldif4
%attr(755,root,root) %{_bindir}/reg*
# "This utility disabled until rewritten"
#%attr(755,root,root) %{_bindir}/setnttoken4
%endif
%attr(755,root,root) %{_bindir}/smbstatus
%attr(755,root,root) %{_bindir}/smbpasswd
%attr(755,root,root) %{_bindir}/smbta-util
%attr(755,root,root) %{_bindir}/smbcontrol

%dir %{_libdir}/%{name}/idmap
%attr(755,root,root)  %{_libdir}/%{name}/idmap/autorid.so
%{_mandir}/man8/idmap_autorid.8*
%dir %{_libdir}/%{name}/pdb
%dir %{_vfsdir}
%attr(755,root,root) %{_vfsdir}/acl_tdb.so
%attr(755,root,root) %{_vfsdir}/acl_xattr.so
%attr(755,root,root) %{_vfsdir}/aio_fork.so
%attr(755,root,root) %{_vfsdir}/crossrename.so
%attr(755,root,root) %{_vfsdir}/dirsort.so
%attr(755,root,root) %{_vfsdir}/fileid.so
%attr(755,root,root) %{_vfsdir}/linux_xfs_sgid.so
%attr(755,root,root) %{_vfsdir}/preopen.so
%attr(755,root,root) %{_vfsdir}/shadow_copy2.so
%attr(755,root,root) %{_vfsdir}/smb_traffic_analyzer.so
%attr(755,root,root) %{_vfsdir}/streams_depot.so
%attr(755,root,root) %{_vfsdir}/streams_xattr.so
%attr(755,root,root) %{_vfsdir}/syncops.so
%attr(755,root,root) %{_vfsdir}/time_audit.so
%attr(755,root,root) %{_vfsdir}/xattr_tdb.so
%{_mandir}/man8/vfs_acl_tdb.8*
%{_mandir}/man8/vfs_acl_xattr.8*
%{_mandir}/man8/vfs_crossrename.8*
%{_mandir}/man8/vfs_dirsort.8*
%{_mandir}/man8/vfs_fileid.8*
%{_mandir}/man8/vfs_preopen.8*
%{_mandir}/man8/vfs_shadow_copy2.8*
%{_mandir}/man8/vfs_smb_traffic_analyzer.8*
%{_mandir}/man8/vfs_streams_xattr.8*
%{_mandir}/man8/vfs_streams_depot.8*
%{_mandir}/man8/vfs_time_audit.8*
%{_mandir}/man8/vfs_xattr_tdb.8*


%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/smbusers
%attr(754,root,root) /etc/rc.d/init.d/smb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.samba
%{_mandir}/man1/log2pcap.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/smbpasswd.8*

%dir %{_sambahome}
%dir /var/lib/samba
%ghost /var/lib/samba/*.dat
%dir /var/lib/samba/printing

%attr(750,root,root) %dir /var/log/samba
%attr(750,root,root) %dir /var/log/samba/cores
%attr(750,root,root) %dir /var/log/samba/cores/smbd
%attr(750,root,root) %dir /var/log/samba/cores/nmbd
%attr(750,root,root) %dir /var/log/archive/samba
%attr(1777,root,root) %dir /var/spool/samba
%if %{with ldap}
%doc examples/LDAP
%endif

%files winbind -f pam_winbind.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/winbindd
%attr(755,root,root) %{_bindir}/wbinfo
#%if %{with merged_build}
#%attr(755,root,root) %{_bindir}/wbinfo4
#%endif
%attr(755,root,root) /%{_lib}/security/pam_winbind*
%attr(755,root,root) /%{_lib}/libnss_winbind*
%attr(754,root,root) /etc/rc.d/init.d/winbind
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/winbind
%{_mandir}/man1/wbinfo*.1*
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*
%{_mandir}/man8/winbindd*.8*

%files -n nss_wins
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_wins*

%files client
%defattr(644,root,root,755)
%if %{with merged_build}
%attr(755,root,root) %{_bindir}/cifsdd4
%attr(755,root,root) %{_bindir}/net4
%attr(755,root,root) %{_bindir}/nmblookup4
%attr(755,root,root) %{_bindir}/smbclient4
%attr(755,root,root) %{_bindir}/setnttoken4
%attr(755,root,root) %{_bindir}/smbtorture4
%endif
%attr(755,root,root) %{_bindir}/findsmb
%attr(755,root,root) %{_bindir}/net
%attr(755,root,root) %{_bindir}/nmblookup
%attr(755,root,root) %{_bindir}/rpcclient
%attr(755,root,root) %{_bindir}/sharesec
%attr(755,root,root) %{_bindir}/smbcacls
%attr(755,root,root) %{_bindir}/smbclient
%attr(755,root,root) %{_bindir}/smbsh
%attr(755,root,root) %{_bindir}/smbtar
%attr(755,root,root) %{_bindir}/smbtree
%attr(755,root,root) %{_libdir}/smbwrapper.so
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbsh.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/net.8*

%files common
%defattr(644,root,root,755)
%if %{with merged_build}
%attr(755,root,root) %{_bindir}/getntacl4
%attr(755,root,root) %{_bindir}/ndrdump4
%attr(755,root,root) %{_bindir}/ntlm_auth4
%attr(755,root,root) %{_bindir}/testparm4
%endif
%doc README Manifest WHATSNEW.txt
%doc Roadmap docs/registry/*
%doc docs/{history,THANKS}
%dir %{_sysconfdir}/samba
%attr(664,root,fileshare) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/lmhosts
%attr(755,root,root) %{_bindir}/eventlogadm
%attr(755,root,root) %{_bindir}/ntlm_auth
%attr(755,root,root) %{_bindir}/pdbedit
%attr(755,root,root) %{_bindir}/profiles
%attr(755,root,root) %{_bindir}/smbcquotas
%attr(755,root,root) %{_bindir}/testparm
%attr(755,root,root) %{_bindir}/vfstest
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.dat
%dir %{_libdir}/%{name}/auth
%attr(755,root,root) %{_libdir}/%{name}/auth/script.so
%dir %{_libdir}/%{name}/charset
%attr(755,root,root) %{_libdir}/%{name}/charset/*.so
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/vfstest.1*
#%{_mandir}/man1/log2pcap.1*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/idmap_ad.8*
%{_mandir}/man8/idmap_adex.8*
%{_mandir}/man8/idmap_hash.8*
%{_mandir}/man8/idmap_ldap.8*
%{_mandir}/man8/idmap_nss.8*
%{_mandir}/man8/idmap_rid.8*
%{_mandir}/man8/idmap_tdb.8*
%{_mandir}/man8/idmap_tdb2.8*

%files swat
%defattr(644,root,root,755)
#%doc swat/README* swat/help/*
%doc swat/help/*
%attr(755,root,root) %{_sbindir}/swat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/swat
%dir %{_datadir}/swat
%{_datadir}/swat/help
%{_datadir}/swat/images
%{_datadir}/swat/include
%dir %{_datadir}/swat/lang
%lang(ja) %{_datadir}/swat/lang/ja
%lang(tr) %{_datadir}/swat/lang/tr
%lang(de) %{_libdir}/%{name}/de.msg
%{_libdir}/%{name}/en.msg
%lang(fi) %{_libdir}/%{name}/fi.msg
%lang(fr) %{_libdir}/%{name}/fr.msg
%lang(it) %{_libdir}/%{name}/it.msg
%lang(ja) %{_libdir}/%{name}/ja.msg
%lang(nl) %{_libdir}/%{name}/nl.msg
%lang(pl) %{_libdir}/%{name}/pl.msg
%lang(ru) %{_libdir}/%{name}/ru.msg
%lang(tr) %{_libdir}/%{name}/tr.msg
%{_mandir}/man8/swat.8*

%files -n pam-pam_smbpass
%defattr(644,root,root,755)
%doc source3/pam_smbpass/{CHAN*,README,TODO} source3/pam_smbpass/samples
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so

%files -n libsmbclient
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%attr(755,root,root) %{_libdir}/libwbclient.so.*
%{_mandir}/man7/libsmbclient.7*

%files -n libsmbclient-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmbclient.so
%attr(755,root,root) %{_libdir}/libwbclient.so
%{_includedir}/libsmbclient.h
%{_includedir}/wbclient.h

%if %{without system_libtalloc}
%files -n libtalloc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so.*

%files -n libtalloc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%endif

%if %{without system_libtdb}
%files -n tdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbdump
%attr(755,root,root) %{_bindir}/tdbtool
%if %{with merged_build}
%attr(755,root,root) %{_bindir}/tdbbackup4
%attr(755,root,root) %{_bindir}/tdbdump4
%attr(755,root,root) %{_bindir}/tdbtool4
%attr(755,root,root) %{_bindir}/tdbtorture4
%endif
%attr(755,root,root) %{_libdir}/libtdb.so.*
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbtool.8*

%files -n tdb-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdb.so
%{_includedir}/tdb.h
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}

%files -n libsmbclient-static
%defattr(644,root,root,755)
%{_libdir}/libsmbclient.a

%files -n smbget
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smbget
%{_mandir}/man1/smbget.1*
%{_mandir}/man5/smbgetrc.5*

%if %{with cups}
%files -n cups-backend-smb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smbspool
%attr(755,root,root) %{cups_serverbin}/backend/smb
%{_mandir}/man8/smbspool.8*
%endif

%files vfs-audit
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/audit.so
%attr(755,root,root) %{_vfsdir}/extd_audit.so
%attr(755,root,root) %{_vfsdir}/full_audit.so
%{_mandir}/man8/vfs_audit.8*
%{_mandir}/man8/vfs_extd_audit.8*
%{_mandir}/man8/vfs_full_audit.8*

%files vfs-cap
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/cap.so
%{_mandir}/man8/vfs_cap.8*

%files vfs-default_quota
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/default_quota.so
%{_mandir}/man8/vfs_default_quota.8*

%files vfs-expand_msdfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/expand_msdfs.so

%files vfs-fake_perms
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/fake_perms.so
%{_mandir}/man8/vfs_fake_perms.8*

%files vfs-notify_fam
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/notify_fam.so
%{_mandir}/man8/vfs_notify_fam.8*

%files vfs-netatalk
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/netatalk.so
%{_mandir}/man8/vfs_netatalk.8*

%files vfs-readahead
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/readahead.so
%{_mandir}/man8/vfs_readahead.8*

%files vfs-readonly
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/readonly.so
%{_mandir}/man8/vfs_readonly.8*

%files vfs-recycle
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/recycle.so
%{_mandir}/man8/vfs_recycle.8*

%files vfs-shadow_copy
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/shadow_copy.so
%{_mandir}/man8/vfs_shadow_copy.8*

%files vfs-catia
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/catia.so
%{_mandir}/man8/vfs_catia.8*

%files vfs-scannedonly
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/scannedonly.so
%{_mandir}/man8/vfs_scannedonly.8*

%if %{with ldap}
%files -n openldap-schema-samba
%defattr(644,root,root,755)
%{schemadir}/*.schema
%endif

%files doc-html
%defattr(644,root,root,755)
%doc docs/htmldocs/*

%files doc-pdf
%defattr(644,root,root,755)
%doc docs/*.pdf

%if 0
%files -n python-samba
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%dir %{py_sitedir}/samba
%attr(755,root,root) %{py_sitedir}/samba/*.so
%{py_sitedir}/samba/*.py[co]
%dir %{py_sitedir}/samba/dcerpc
%{py_sitedir}/samba/dcerpc/*.py[co]
%attr(755,root,root) %{py_sitedir}/samba/dcerpc/*.so
%dir %{py_sitedir}/samba/tests
%{py_sitedir}/samba/tests/*.py[co]
%dir %{py_sitedir}/samba/tests/dcerpc
%{py_sitedir}/samba/tests/dcerpc/*.py[co]
%dir %{py_sitedir}/samba/torture
%{py_sitedir}/samba/torture/*.py[co]
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: samba.spec,v $
Revision 1.521  2012/05/03 12:42:04  arekm
- up to 3.6.5; fixes CVE-2012-2111

Revision 1.520  2012/04/11 06:19:46  arekm
- up to 3.6.4; fixes CVE-2012-1182 (remote root hole)

Revision 1.519  2012/01/31 16:59:47  adamg
- CVE entry for 3.6.3

Revision 1.518  2012/01/30 17:48:33  arekm
- up to 3.6.3
  [ fixes CVE-2012-0817 ]

Revision 1.517  2012/01/05 18:38:50  lisu
- epoch in libtdb_ver

Revision 1.516  2011/12/15 12:08:13  baggins
- rel 2

Revision 1.515  2011/11/18 11:35:20  baggins
- revert

Revision 1.514  2011/11/18 11:26:53  baggins
- test parallel build

Revision 1.513  2011/10/25 20:21:18  blues
- suggests cifs-utils for client subpackage

Revision 1.512  2011/10/22 20:06:32  arekm
- up to 3.6.1

Revision 1.511  2011/10/20 18:49:38  glen
 renamed deps

Revision 1.510  2011/10/19 08:23:58  arekm
- up to 3.6.0

Revision 1.509  2011/10/01 22:11:44  glen
- add system libtdb bcond, enable it; preserve timestamps while installing

Revision 1.508  2011/09/06 15:22:09  arekm
- up to 3.5.11

Revision 1.507  2011/08/02 23:07:30  baggins
- release 2

Revision 1.506  2011/06/17 19:10:25  adamg
- updated to 3.5.9

Revision 1.505  2011/06/06 13:35:55  cieciwa
- use gamin-devel instead fam-devel (dead).

Revision 1.504  2011/03/22 11:04:19  glen
- rc-scripts with killproc & --pidfile support

Revision 1.503  2011/03/22 10:56:11  caleb
- Up to 3.5.8

Revision 1.502  2011/03/03 09:55:47  hawk
- updated to 3.5.7, fixes CVE-2011-0719 (from Marcin Rybak)
- dropped vscan, project is dead since few years and all vscan modules
  were disabled in PLD since August 2008

Revision 1.501  2011/02/05 00:33:27  sparky
- dropped repeated %description

Revision 1.500  2010/10/29 17:21:55  hawk
- need rebuild, no problems reported on mail lists, assuming it works,
  release 1

Revision 1.499  2010/10/19 07:04:45  caleb
- Up to 3.5.6, builds but not tested

Revision 1.498  2010/10/04 18:15:15  baggins
- rel 2

Revision 1.497  2010/09/15 19:30:40  zbyniu
- added note cve about critical bugfix

Revision 1.496  2010/09/15 19:04:57  arekm
- up to 3.5.5 (fixes CVE-2010-3069)

Revision 1.495  2010/08/30 13:36:29  arekm
epoch for system libtalloc

Revision 1.494  2010/08/30 13:32:11  lmasko
- If built --with system_libtalloc, samba should require proper version
  of libtalloc.

Revision 1.493  2010/08/25 17:09:39  hawk
- use bundled libtalloc in Titanium

Revision 1.492  2010/08/24 12:04:57  arekm
- disable merged_build bcond (experimental according to developers)

Revision 1.491  2010/08/19 18:55:43  arekm
- system libtalloc is back (since it's available in tarball form now)

Revision 1.490  2010/07/08 12:07:31  arekm
- release 2

Revision 1.489  2010/06/27 15:46:43  charles
- up to 3.5.4

Revision 1.488  2010/05/24 15:24:22  baggins
- added pam_winbind.conf man page

Revision 1.487  2010/05/24 14:46:51  baggins
- force LD=ld on make (fixes breakage caused by samba.org commit
	eff42fa66e561069959c401492c3b82a09b4742b)

Revision 1.486  2010/05/24 13:54:20  baggins
- 3.5.3

Revision 1.485  2010/05/04 18:47:09  hawk
- for Titanium revert default passdb backend to smbpasswd, we won't change
  long lasting default breaking current samba configurations

Revision 1.484  2010/04/12 12:23:39  baggins
- rel 2

Revision 1.483  2010/04/08 21:15:08  arekm
- up to 3.5.2

Revision 1.482  2010/03/18 12:25:04  glen
- build with ctdb support; rel 2

Revision 1.481  2010/03/11 07:44:59  arekm
- up to 3.5.1

Revision 1.480  2010/03/10 15:23:53  wiget
- 3.5.0
- added vfs-catia and vfs-scannedonly subpackages
- removed python.patch (applied upstream)
- removed disable-unused.patch (fixed upstream)
- explicit enable cifs tools

Revision 1.479  2010/02/28 17:19:52  zawadaa
- up to 3.4.6 - printing on 64bit Windows should works

Revision 1.478  2010/02/09 16:04:33  baggins
- added note abous screwed printing

Revision 1.477  2010/01/26 23:28:54  baggins
- rel 1

Revision 1.476  2010/01/26 22:31:42  baggins
- 3.4.5
- merged tdb.spec here
- workaround for bug #7030

Revision 1.475  2010/01/11 16:45:36  baggins
- rel 0.1
- doesn't build, source looks badly git-mismerged

Revision 1.474  2010/01/11 15:25:34  baggins
- fix spoolss.c mismerge

Revision 1.473  2010/01/11 14:38:22  baggins
- 3.4.4
- patch samba-client-upcall-buildfix seems obsolete (fixed upstream)

Revision 1.472  2009/12/24 01:59:54  mmazur
- improve avahi bcond
- add merged_build bcond

Revision 1.471  2009/11/29 00:31:33  sparky
- BR: gettext-devel, pkgconfig, tdb-devel
- some adapterization

Revision 1.470  2009/11/25 13:43:27  sparky
- BR: python-modules

Revision 1.469  2009/11/25 10:16:22  baggins
- rel 1
- fixes https://bugzilla.samba.org/show_bug.cgi?id=6646

Revision 1.468  2009/11/09 11:28:04  blues
- TODO in spec

Revision 1.467  2009/11/09 00:13:28  adamg
- todo

Revision 1.466  2009/11/09 00:12:52  adamg
- updated to 3.4.3 (3.4.2 solved CVE-2009-2813, CVE-2009-2948
  and CVE-2009-2906)
- fix upcall build (http://bugs.gentoo.org/show_bug.cgi?id=291360)
- link.patch no longer needed
- rfc3454.txt seemed to be missing from 3.4.3 tarball
- disabled python-samba, needs review (see git commit
  5065cf70f8bf41193d6d33413f2285f62bba0502)
- release 0.1 (works for me as a simple fileserver

Revision 1.465  2009/11/05 15:19:09  baggins
- rel 3
- removed configtest from winbind.init, it was utterly stupid as winbindd
  can function perfectly fine without 'idmap uid/gid' configured in smb.conf.
  It's called 'netlogon proxy only mode', see man winbindd for details

Revision 1.464  2009/10/28 16:10:24  sls
- BR: keyutils-devel (this time it's explicitly required by configure)

Revision 1.463  2009/10/10 13:44:00  adamg
- strict libtalloc dep in samba-common; after upgrading samba* from 3.3.x
  up to 3.4.0 nmbd complained about undefined symbol _talloc_get_type_abort

Revision 1.462  2009/09/10 06:55:58  amateja
- reverted

Revision 1.460  2009/08/19 08:07:59  arekm
- passdb backend banner

Revision 1.459  2009/08/12 20:24:05  arekm
- release 2

Revision 1.458  2009/08/12 20:17:52  pluto
- fix 'clients cannot connect after server upgrade to samba-3.4.0'.

Revision 1.457  2009/08/12 17:53:37  arekm
- add -j1 due to https://bugzilla.samba.org/show_bug.cgi?id=6533

Revision 1.456  2009/07/05 09:30:55  arekm
- rel 1

Revision 1.455  2009/07/05 08:59:21  arekm
- updated files, python subpkg added

Revision 1.454  2009/07/05 07:52:24  arekm
- update (builds with -j1; files need update; python subpkg needed)

Revision 1.453  2009/07/04 23:19:17  arekm
- update

Revision 1.452  2009/07/04 20:52:43  arekm
- no --with-vfs-afsacl

Revision 1.451  2009/07/04 20:40:25  arekm
- start update to 3.4.0 (3.3 on SAMBA_3_3)

Revision 1.450  2009/07/02 21:15:49  hawk
- release 2

Revision 1.449  2009/07/02 21:02:27  baggins
- back to heimdal kerberos

Revision 1.448  2009/06/29 15:07:46  blues
- noted CVE-2009-1886

Revision 1.447  2009/06/23 22:06:39  charles
- updated to 3.3.6 (fixes CVE-2009-1888)

Revision 1.446  2009/06/18 01:04:02  charles
- updated to 3.3.5
- removed outdated "make proto"

Revision 1.445  2009/06/01 13:04:30  witekfl
- samba is licensed under GPL v3.

Revision 1.444  2009/06/01 09:39:54  glen
- sharedscripts; rel 3

Revision 1.443  2009/05/03 15:03:30  hawk
- release 2

Revision 1.442  2009/04/29 13:23:22  arekm
- up to 3.3.4

Revision 1.441  2009/04/01 15:13:31  arekm
- up to 3.3.3

Revision 1.440  2009/03/22 21:36:28  arekm
- rel 3; add avahi patch; stop using dnssd compat layer

Revision 1.439  2009/03/22 20:10:23  arekm
- rel 2; disable dnssd for now

Revision 1.438  2009/03/13 13:00:24  arekm
- up to 3.3.2

Revision 1.437  2009/03/12 11:56:57  wolvverine
- add samba-force-group.patch, rel. 4

Revision 1.436  2009/03/10 21:13:50  arekm
- rel 3; should fix dnssd problems

Revision 1.435  2009/03/09 11:39:11  arekm
- rel 2; enforce new tdb, more TODO

Revision 1.434  2009/02/25 16:37:33  arekm
- up to 3.3.1

Revision 1.433  2009/02/23 22:08:16  arekm
- release 2

Revision 1.432  2009/01/30 23:22:42  arekm
- up to 3.3.0 [fixes: CVE-2009-1886]

Revision 1.431  2009/01/22 11:17:29  baggins
- rel 3
- printerlocation patch removed (problem fixed upstream)

Revision 1.430  2009/01/19 11:08:15  baggins
- rel 2
- duh, patch is ok, my eyesight is foobar :/

Revision 1.429  2009/01/19 11:06:36  baggins
- rel 1.1
- something is foobar with the patch

Revision 1.428  2009/01/19 11:04:42  baggins
- rel 2
- updated printerlocation patch

Revision 1.427  2009/01/19 09:17:36  arekm
- rel 1; drop obsolete patches; some patches need update (but are not required)

Revision 1.426  2009/01/12 21:06:37  arekm
3.2.7, NFY (patches need update); CVE-2009-0022 fix (access to rootfs via share)

Revision 1.425  2008/12/04 14:35:38  baggins
- rel 2
- resurrect printerlocation patch

Revision 1.424  2008/12/01 09:25:05  blues
- CVE note

Revision 1.423  2008/11/30 20:30:50  arekm
- up 3.2.5 [fixes: CVE-2008-4314]

Revision 1.422  2008/11/03 09:49:24  arekm
- rel 3; strict R between samba-client and libsmbclient

Revision 1.421  2008/11/01 20:29:56  arekm
- rel 2; require newer tdb

Revision 1.420  2008/11/01 11:40:51  arekm
- rel 1

Revision 1.419  2008/10/15 10:11:21  sls
- include talloc.h
- more TODO

Revision 1.418  2008/10/14 03:00:06  sls
- smbmount has been removed from samba-3.2
- don't package broken symlink libsmbsharemodes.so

Revision 1.417  2008/10/14 02:24:01  sls
- added subpackage libtalloc
- added install.patch

Revision 1.416  2008/10/10 17:22:11  qboosh
- sorted -client mess

Revision 1.415  2008/10/10 01:48:27  sls
- package /usr/sbin/cifs.upcall to samba-client (?)
- libsmbsharemodes.so goes to /usr/lib

Revision 1.414  2008/10/09 22:12:18  sls
- add link.patch

Revision 1.413  2008/10/09 20:52:16  sls
- ver. 3.2.4

Revision 1.412  2008/09/01 12:31:58  blues
- CVE note + fixed changelog

Revision 1.411  2008/08/31 21:35:10  arekm
- builds (vscan broken); files need fix

Revision 1.410  2008/08/18 09:47:18  glen
- mention that python-samba no longer exists in previous changelog entry

Revision 1.409  2008/08/17 21:36:23  arekm
- start playing with 3.2.3 [fixes: CVE-2008-3789]
  [python-samba package is dropped]

Revision 1.408  2008/05/30 09:25:02  hawk
- added ugly hack to allow building with autoconf 2.62
- release 2

Revision 1.407  2008-05-30 07:46:01  hawk
- updated to 3.0.30, fixes CVE-2008-1105
- fixed for libtool 2.2, but doesn't build with autoconf 2.62 anyway

Revision 1.406  2008-05-27 19:57:30  charles
- rm outdated -PATH_MAX.patch

Revision 1.405  2008-05-27 19:53:09  charles
- updated to 3.0.29 (bug fix release)

Revision 1.404  2008-04-23 23:08:53  glen
- get PATH_MAX definition; rel 3

Revision 1.403  2008-04-23 18:14:38  glen
- release 2

Revision 1.402  2008-03-30 12:45:27  glen
- revert pointless openldap BR ver bump

Revision 1.401  2008-03-30 08:27:26  arekm
- up to 3.0.28a (fixes vista interoperability issues); add vfs_notify_fam module

Revision 1.400  2008-03-05 13:37:06  baggins
- rel 8
- removed plumbing as it breaks something and samba is such a POS it's beyond me why

Revision 1.399  2008-03-04 17:39:15  baggins
- rel 7
- fix file descriptors and memory leaks in pam_smbpasswd

Revision 1.398  2008-02-07 09:49:44  ankry
- unix -> Unix

Revision 1.397  2008-02-06 15:15:32  baggins
- rel 6
- added printerlocation patch

Revision 1.396  2008-01-29 09:37:47  arekm
- rel 5; fix build with new libcap

Revision 1.395  2008-01-28 18:36:26  wrobell
- rel. 4 to rebuild with libcap 2.0.5

Revision 1.394  2008-01-24 23:47:15  glen
- mks bcond and disable vfs-vscan-mks due limited distribution

Revision 1.393  2007-12-17 19:09:02  glen
- rel 2 (1 for ac)

Revision 1.392  2007-12-10 20:27:36  zbyniu
- up to 3.0.28 (fixes CVE-2007-6015)

Revision 1.391  2007-11-24 14:13:37  deejay1
- up to 3.0.27a, rel. 1
- should fix Samba bug #5087

Revision 1.390  2007-11-17 17:26:13  glen
- sync doc descriptions from pl, cosmetic by ankry

Revision 1.389  2007-11-17 16:52:12  glen
- rever bogus es description

Revision 1.387  2007-11-17 16:38:21  glen
- adapter

Revision 1.386  2007-11-17 14:22:09  deejay1
- up to 3.0.27 - fixes CVE-2007-4572 and CVE-2007-5398
- rel. 1

Revision 1.385  2007-11-06 18:46:49  qboosh
- keyutils is not samba dependency (krb5?)

Revision 1.384  2007/11/06 18:43:39  qboosh
- todo cleanup

Revision 1.383  2007/11/06 17:32:33  tommat
- BR: keyutils-devel

Revision 1.382  2007/11/06 16:56:08  tommat
- added manpages to vfs-audit module

Revision 1.381  2007/11/03 12:42:10  baggins
- rel 5

Revision 1.380  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.379  2007/10/26 11:34:18  baggins
- rel 4
- don't mess with syslog in pam_smbpass, it caused segfaults on passwd migrate

Revision 1.378  2007/10/09 17:39:19  baggins
- rel 3

Revision 1.377  2007/10/09 15:40:29  baggins
- rel 2.1
- removed obsolete cli_connect patch
- added lprng printcap parsing patch

Revision 1.376  2007/09/16 12:49:39  zawadaa
- vscan_version up to 0.3.6c-beta5

Revision 1.375  2007/09/15 10:02:15  arekm
- up to 3.0.26a

Revision 1.374  2007/09/15 09:27:15  adamg
- fix for CVE-2007-4138; release 3

Revision 1.373  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.372  2007/09/11 11:43:37  gotar
- more specific R: logrotate >= 3.7.4 due to archiv -> archive transition;
  is it really required? other packages don't have this R: at all

Revision 1.371  2007/08/29 06:58:36  arekm
- rel 2; workaround vscan build problem

Revision 1.370  2007/08/27 19:54:38  arekm
- up to 3.0.25c; vscan vfs doesn't build

Revision 1.369  2007/07/06 17:09:18  qboosh
- removed AC-specific comment from HEAD (smbwrapper patch adjusted on AC-branch)

Revision 1.368  2007/07/06 08:20:03  glen
- todo update

Revision 1.367  2007/06/30 19:59:50  arekm
- up to 3.0.25b

Revision 1.366  2007/06/17 16:08:18  qboosh
- removed obsolete comment

Revision 1.365  2007/06/17 15:57:47  arekm
- rel 2; LDFLAGS path now in patch

Revision 1.364  2007/06/17 14:23:59  arekm
- rel 1

Revision 1.363  2007/06/16 17:34:39  qboosh
- updated libs-needed patch
- added smbwrapper patch, fixed smbwrapper build

Revision 1.362  2007/06/16 16:07:46  qboosh
- updated libsmbclient-libnscd_link patch is back
- smbwrapper packaging fixes

Revision 1.361  2007/06/16 15:05:36  qboosh
- removed evil FHS patch, annihilated later by --with-lockdir option
- updated lib64 patch

Revision 1.360  2007/06/16 14:45:27  qboosh
- pl for vfs_readahead

Revision 1.359  2007/06/16 14:41:06  qboosh
- typo

Revision 1.358  2007/06/16 14:38:55  qboosh
- merged from AC-branch (by hawk)
  - updated to 3.0.25a (fixes CVE-2007-2444, CVE-2007-2446, CVE-2007-2447)
  - removed libsmbclient-libnscd_link.patch, seems to be applied upstream
  - updated samba-vscan to 0.3.6c beta4 (older doesn't compile)
  - include smbsh in client subpackage
  - updated %files sections for 3.0.25a
  - new subpackage: vfs-readahead
  - adapterized, updated TODO
  - builds, not tested, release 0.1
- fixed lang() for fi.msg

Revision 1.357  2007/06/06 20:10:47  baggins
- rel 3.2
- tried to fix linking breakage

Revision 1.356  2007/04/19 21:27:05  twittner
- html-doc CSS style fixes: get rid of crazy colors
- fix some links

Revision 1.355  2007/04/02 17:02:41  baggins
- rel 3

Revision 1.354  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.353  2007/03/31 22:14:40  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.352  2007/02/13 23:30:47  glen
- 3.0.24
  resolves CVE-2007-0452, CVE-2007-0454

Revision 1.351  2007/02/13 06:26:41  glen
- drop bogus es translations

Revision 1.350  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.349  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.348  2007/01/18 19:05:07  arekm
- rel 4; more nscd fixes

Revision 1.347  2007/01/12 20:15:31  adamg
- fix libsmbclient linking agains libnscd
- release 3

Revision 1.346  2006/12/29 09:58:00  matkor
- Release 2. STBR for Ac. Rebuild seems to fix undefined reference to `nscd_flush_cache\' in rel 1.

Revision 1.345  2006/11/26 12:42:45  tommat
- rel 1, builds and runs on amd64, STBR

Revision 1.344  2006/11/22 14:21:43  tommat
- up to 3.0.23d rel 0.1
- removed patch0 - we dont have broken RH7 system headers
- renumerated patches
- needs to be tested on 64bit arch

Revision 1.343  2006/11/16 09:25:57  qboosh
- R: cups-lib not cups; release 3

Revision 1.342  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.341  2006/11/10 09:38:46  qboosh
- release 2

Revision 1.340  2006/11/10 09:38:03  qboosh
- force cups 1.2.0 as smbd linked with cups 1.2.0 doesn't run with cups 1.1.x

Revision 1.339  2006/10/15 14:18:00  glen
- package /var/log/samba/cores/{smbd,nmbd}

Revision 1.338  2006/09/02 20:45:30  abram
- i forgot md5sum for source0

Revision 1.337  2006/09/02 20:42:43  abram
- upgrade to 3.0.23c
- patch5 is included in source

Revision 1.336  2006/08/29 13:59:57  wolvverine
- add patch4, STBR

Revision 1.335  2006/08/29 12:14:18  glen
- samba got linked with dmapi on builders, so BR it here

Revision 1.334  2006/08/22 14:40:39  glen
- rel 1

Revision 1.333  2006/08/09 19:36:21  arekm
- up to 3.0.23b

Revision 1.332  2006/07/26 20:21:49  qboosh
- pl for -devel

Revision 1.331  2006/07/25 09:30:10  glen
- keep subdirs in -devel package

Revision 1.330  2006/07/25 09:22:45  glen
- cleanup

Revision 1.329  2006/07/25 09:22:15  glen
- pdb-xml is gone with 3.0.23 release

Revision 1.328  2006/07/25 09:07:09  glen
- ldapsam is gone with 3.0.22 release

Revision 1.327  2006/07/25 09:02:11  glen
- hacked together samba-devel for building samba-pdbsql

Revision 1.326  2006/07/25 08:43:49  glen
- updated to 3.0.23a
  NOTE: mysql and pgsql have been removed from sources. See samba-pdbsql.spec

Revision 1.325  2006/07/17 13:52:34  havner
- CAN-2006-3403
- rel 2

Revision 1.324  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.323  2006/04/12 21:19:58  zawadaa
- up to 3.0.22, security - CAN_2006-1059
- STBR

Revision 1.322  2006/03/13 23:14:32  glen
- use %service

Revision 1.321  2006/03/09 08:58:52  zawadaa
- up to 3.0.21c, STBR

Revision 1.320  2006/02/02 12:13:53  charles
- updated to 3.0.21b
- removed obsolete -setup-python.patch, -3401.patch

Revision 1.319  2006/02/01 23:03:35  charles
- BR: iconv (configure req. it, without: "Conversion from xxx to yyy not supported")

Revision 1.318  2006/01/22 16:36:19  charles
- BR: rpm-pythonprov (if with python), sorted BRs

Revision 1.317  2006/01/22 13:07:13  bszx
- fix for #3401 (PANIC: internal error) from samba svn

Revision 1.316  2006/01/17 12:25:23  baggins
- release 1
- BR openldap >= 2.3

Revision 1.315  2006/01/16 10:59:11  qboosh
- editreg.1 has been removed from sources

Revision 1.314  2006/01/16 10:39:23  qboosh
- install libmsrpc to system dirs, package it (in libsmbclient*)
- package auth/script module (in base)
- moved pdbedit(8) man page to proper package
- removed log2pcap(1) man page (no such utility)

Revision 1.313  2006/01/10 18:36:10  qboosh
- added unpackaged files note to todo

Revision 1.312  2006/01/10 14:42:21  qboosh
- move "lockdir" from /var/lock/samba to /var/lib/samba as it contains
  persistent valuable data and some cache, not just locks!
  (merged from OpenBIZ)
- removed outdated STATUS..LCK and mkdirs trigger

Revision 1.311  2006/01/06 14:10:47  zawadaa
- up to 3.0.21a

Revision 1.310  2005/12/26 12:57:49  tommat
- build with smbwrapper (smbsh)
- removed obsolete editreg manpage
- rel 0.2

Revision 1.309  2005/12/25 18:43:56  tommat
- version 3.0.21, rel 0.1, NFY

Revision 1.308  2005/12/22 15:18:09  pluto
- release 3 for rebuild with new ldap.

Revision 1.307  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.306  2005/10/31 14:13:41  jareq
- typo

Revision 1.305  2005/10/27 17:52:58  arekm
- rel 2

Revision 1.304  2005/10/16 21:45:35  arekm
- up to 3.0.20b

Revision 1.303  2005/10/10 07:23:52  qboosh
- copy-pasto

Revision 1.302  2005/10/07 18:42:43  agaran
- if kerb is conditional, it has to be everywhere..

Revision 1.301  2005/10/05 17:03:10  tommat
- removed sed version replacement due to smarter vfs-scan configure

Revision 1.300  2005/10/04 22:47:32  zawadaa
- samba-vscan up to 0.3.6b
- STBR

Revision 1.299  2005/10/04 14:48:05  tommat
- now builds, please test

Revision 1.298  2005/10/01 13:03:45  marcus
- add pthread patch

Revision 1.297  2005/10/01 12:49:58  marcus
- up to 3.0.20a

Revision 1.296  2005/09/19 14:01:32  glen
- ldapsam comment is confusing

Revision 1.295  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.294  2005/09/09 21:30:24  arekm
- fix patch nr

Revision 1.293  2005/09/09 20:51:31  arekm
- rel 1; patch 4 dropped; in postgres you can use views to get the same behaviour

Revision 1.292  2005/08/21 19:05:29  arekm
- up to 3.0.20 (sql patch is controversial; not updated+disabled)

Revision 1.291  2005/08/17 13:24:33  paszczus
- added R: heimdal-libs >= 0.7 to -client package

Revision 1.290  2005/08/09 11:29:34  aniolek
- pl fix

Revision 1.289  2005/07/08 20:52:51  arekm
- rel 6

Revision 1.288  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.287  2005/07/01 21:25:10  qboosh
- pl cosmetics

Revision 1.286  2005/07/01 16:02:14  twittner
- split some documentation files into 2 subpackages: doc-html and doc-pdf
- formatting (adapter can break everything, f.e. enumeration in descriptions)
- rel. 4

Revision 1.285  2005/05/30 21:25:04  arekm
cups stuff needs to be in lib not lib64

Revision 1.284  2005/05/11 09:32:49  pluto
- release 2 for Th.

Revision 1.283  2005/05/06 13:06:13  qboosh
- files fix

Revision 1.282  2005/04/19 09:44:26  wolvverine
- change description (pl) vfs-audit

Revision 1.281  2005/04/18 05:28:37  glen
- typo

Revision 1.280  2005/04/17 23:51:27  tommat
- added amd64 arch to vfs-vscan-mksd
- rel 1

Revision 1.279  2005/04/17 23:21:27  tommat
- added workaround for release checking in vfs-vscan
- NFY

Revision 1.278  2005/04/17 21:41:21  tommat
- version 3.0.14a
- BR: libmagic-devel for vfs-vscan
- NFY

Revision 1.277  2005/04/12 21:45:13  zawadaa
- up to 3.0.14
- STBR for test

Revision 1.276  2005/04/11 09:47:41  zawadaa
- copy-paste fix

Revision 1.275  2005/04/11 09:37:25  zawadaa
- up to samba-vscan-0.3.6

Revision 1.274  2005/03/26 23:06:11  arekm
- rel 1

Revision 1.273  2005/03/24 12:09:34  zawadaa
- up to 3.0.13
- STBR and install on builders-libsmbclient not binary compatible
  so we need rebuild some programs

Revision 1.272  2005/03/22 00:14:00  zawadaa
- rel. up to 3.0.12

Revision 1.271  2005/03/10 12:22:53  qboosh
- ENCRYPTION.TXT is no more

Revision 1.270  2005/03/09 18:05:14  qboosh
- no need to bcond preamble and scripts - files are enough

Revision 1.269  2005/03/08 01:32:24  glen
- don't build openldap-schema if bcond ldap is off

Revision 1.268  2005/03/07 19:07:08  tommat
- added pl translation to openldap-schema package
- updated todo

Revision 1.267  2005/03/05 20:42:38  glen
- also enable dependant schemas for samba.schema

Revision 1.266  2005/03/05 20:14:33  glen
- add openldap-schema-samba package

Revision 1.265  2005/02/19 08:28:09  ankry
- rel. 2

Revision 1.264  2005/02/09 12:07:49  tommat
- lets forget about ipv6, maintain patch discontinued since 2.2 version,
  samba team is not planning implement ipv6, removed commented out patch
  and bcond.

Revision 1.263  2005/02/05 19:43:18  tommat
- added vfstest program,
- release 1

Revision 1.262  2005/02/05 11:53:23  qboosh
- apply lib64 on all archs which use lib64

Revision 1.261  2005/02/05 10:33:06  tommat
- updated to version 3.0.11
- relase 0.1

Revision 1.260  2005/01/15 10:00:08  zawadaa
- fix for printer queue cleaning

Revision 1.259  2005/01/13 18:00:39  ankry
- fixed R:, rel. .2

Revision 1.258  2005/01/09 23:42:00  tommat
- removed already included in 3.0.11pre1 sources samba-3_0_9-printing.patch
- updated files section in winbind package

Revision 1.257  2005/01/09 17:42:18  saq
- missing pyreqeq

Revision 1.256  2005/01/09 16:10:52  tommat
- version 3.0.11pre1, NFY

Revision 1.255  2004/12/17 10:07:45  qboosh
- existings patches first

Revision 1.254  2004/12/16 19:43:20  hawk
- security update to 3.0.10, includes fix for CAN-2004-1154

Revision 1.253  2004/12/16 19:18:35  adamg
- added (official) CAN-2004-1154.patch
- fixed printing patch a bit (due to changes introduced by CAN-2004-1154.patch)
- release 4

Revision 1.252  2004/12/14 20:26:28  ciesiel
- added patch printing memleak (from devel list: Andrzej Zawadzki)

Revision 1.251  2004/12/02 16:38:30  qboosh
- release 2

Revision 1.250  2004/12/02 16:37:06  qboosh
- well, unified

Revision 1.249  2004/12/02 16:36:23  qboosh
- missing dir

Revision 1.248  2004/11/24 19:46:24  qboosh
- more cleanups

Revision 1.247  2004/11/24 13:28:33  qboosh
- some cleanups, base Obsoletes: samba-vfs-block (until there is better place)

Revision 1.246  2004/11/21 02:45:57  wrobell
- ver. 3.0.9

Revision 1.245  2004/11/13 21:44:10  ankry
- removed duplicated files

Revision 1.244  2004/11/13 21:20:09  ankry
- added libsmbclient_link patch, rel. 3

Revision 1.243  2004/11/11 02:38:11  havner
- typo

Revision 1.242  2004/11/11 02:37:30  havner
- mv tdbtool tdbtool_samba (to avoid conflict with tdb, needs checking)
- updated TODO
- rel 2

Revision 1.241  2004/11/10 23:26:06  havner
- rel 1

Revision 1.240  2004/11/10 23:23:23  havner
- missing binary added
- mcafee plugin added (without R, there is no mcafee in PLD and probably
  it can be run over net)

Revision 1.239  2004/11/09 13:31:43  aflinta
- version 3.0.8 - final, need to do something with two missing files

Revision 1.238  2004/11/01 15:00:18  adasi
 - fix psql passdb
 - not tested at all

Revision 1.237  2004/10/29 14:13:47  paladine
- unifications

Revision 1.236  2004/10/28 11:13:23  tommat
- version 3.0.8pre2
- added FHS patch fixing lock directory

Revision 1.235  2004/10/21 14:14:28  djurban
- samba rel 4, kdelibs 2, nfs-utils 8
- Prereq setup .6-7 sent to ac

Revision 1.234  2004/10/19 18:56:09  qboosh
- PreReq for setup

Revision 1.233  2004/10/19 18:08:39  djurban
- fileshare instead of samba stbring

Revision 1.232  2004/10/19 16:40:53  havner
- 664 for smb.conf

Revision 1.231  2004/10/19 16:37:58  havner
- R: setup 2.4.6-6 (providing samba group)
- cosmetics

Revision 1.230  2004/10/19 16:30:27  djurban
- use samba group for /etc/smb/smb.conf

Revision 1.229  2004/10/12 14:01:43  qboosh
- ads requires krb5 _and_ ldap

Revision 1.228  2004/10/05 10:15:32  tommat
- version 3.0.8pre1

Revision 1.227  2004/09/28 19:12:57  ankry
- spaces -> tabs

Revision 1.226  2004/09/27 22:53:29  adasi
- 1st try of samba-pdb-pgsql
- not tested

Revision 1.225  2004/09/26 21:34:31  kolodko
- added macros in /etc/logrotate.d

Revision 1.224  2004/09/14 10:21:15  tommat
- removed samba.schema - fixed file is now in tarball
- rel 1 for AC

Revision 1.223  2004/09/14 09:13:04  blues
- security update to 3.0.7, not tested, pointed by Andrzej Zawadzki
  <zawadaa@wp.pl> - STBR, please (after testing...)

Revision 1.222  2004/09/13 13:18:19  qboosh
- copy-pasto

Revision 1.221  2004/09/13 11:56:41  qboosh
- sync vfs-vscan pl summaries

Revision 1.220  2004/09/02 21:10:23  pluto
- minor fix for setup.py (I followed my nose in doing this fix).
  # LIBS="-z combreloc -lcrypt -lresolv -lnsl -ldl    " \
  #        python python/setup.py build
  # Unknown entry '-z' in $LIBS variable passed to setup.py

Revision 1.219  2004/08/26 22:55:02  tommat
- added LDAP stuff to documentation

Revision 1.218  2004/08/26 22:07:33  tommat
- updated samba LDAP schema

Revision 1.217  2004/08/20 11:33:21  tommat
- changed source url to official from webpage

Revision 1.216  2004/08/20 09:57:55  tommat
- version 3.0.6

Revision 1.215  2004/08/12 20:07:10  tommat
- added full_audit plugin to samba-vfs-audit package

Revision 1.214  2004/08/12 15:24:06  tommat
- fixed libsmbclient path

Revision 1.213  2004/08/12 13:58:36  tommat
- version 3.0.6rc2

Revision 1.212  2004/07/30 08:01:42  qboosh
- cosmetics

Revision 1.211  2004/07/30 00:33:36  tommat
- added python-samba package, reverted python bcond
- updated TODO

Revision 1.210  2004/07/29 09:16:49  tommat
- cleanups after merge

Revision 1.209  2004/07/29 09:12:57  tommat
- merged with DEVEL

Revision 1.208  2004/07/22 16:37:10  pluto
- updated to 3.0.5 (CAN-2004-0600, CAN-2004-0686).

Revision 1.207  2004/07/05 00:35:57  pluto
- active directory needs ldap.

Revision 1.206  2004/06/05 18:26:13  tommat
- fixed release to be greater than on ftp, STBR for AC

Revision 1.205.2.6  2004/07/29 09:07:58  tommat
- cleanup - now it builds

Revision 1.205.2.5  2004/07/29 08:46:48  tommat
- version 3.0.5

Revision 1.205.2.4  2004/07/10 16:01:53  tommat
- fixed libsmbclient location

Revision 1.205.2.3  2004/07/09 21:39:12  tommat
- rel 3.0.5rc1 NFY

Revision 1.205.2.2  2004/06/01 12:26:02  tommat
- updated md5

Revision 1.205.2.1  2004/06/01 12:22:43  tommat
- version 3.0.5pre1
- removed BR ncurses-devel (readline-devel R ncurses-devel)

Revision 1.205  2004/06/01 10:17:40  tommat
- reverted last change

Revision 1.204  2004/05/29 01:36:27  aredridel
- added Obsoletes: samba-winbind

Revision 1.203  2004/05/19 18:03:16  qboosh
- added missing descriptions, sorted vfs modules

Revision 1.202  2004/05/19 13:48:31  mwinkler
- description s/-/_/

Revision 1.201  2004/05/18 10:37:16  qboosh
- fixed some typos, added more pl

Revision 1.200  2004/05/17 23:39:11  tommat
- adapterized, thanks ankry

Revision 1.199  2004/05/17 23:03:20  tommat
- updated descriptions - taken from KLD, let's someone help me :)

Revision 1.198  2004/05/17 15:49:25  tommat
- splited vfs modules into separated packages, not finished - make some
  reasonable descriptions to this packages to do.

Revision 1.197  2004/05/15 20:54:56  tommat
- added fsav vscan package (F-Secure AntiVirus)
- updated todo

Revision 1.196  2004/05/15 18:58:03  tommat
- removed unused Source8 (undefined's clamav vscan)
- renumbered sources

Revision 1.195  2004/05/14 17:02:21  adgor
- Cosmetics (to avoid mistakes)

Revision 1.194  2004/05/14 16:25:51  tommat
- updated todo
- vscan ver. 0.3.5
- AC ready

Revision 1.193  2004/05/14 13:57:54  qboosh
- missing pl, cleanups, strict internal deps

Revision 1.192  2004/05/14 11:52:29  tommat
- merged from DEVEL

Revision 1.191  2004/05/12 22:16:14  arekm
- updated to 3.0.4; fixed parallel build (but disabled it for some extra modules which have broken makefile rules for parallel build)

Revision 1.190  2004/04/03 11:54:34  averne
- rel 5 for rebuild with new openldap

Revision 1.189  2004/03/20 09:48:10  qboosh
- removed tdbdump utility (we have it in tdb package)
- updated lib64 patch, release 4

Revision 1.188  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.187  2004/03/17 23:58:15  arekm
- add smbget utility

Revision 1.186  2004/03/16 13:42:08  averne
- rel3 for rebuild with new openldap

Revision 1.185  2004/03/16 11:50:30  wrobell
- rel. 2 to rebuild with new openldap on nest builders

Revision 1.184  2004/02/24 12:15:46  tommat
- version 3.0.2a

Revision 1.183  2004/02/11 16:06:45  areq
- 3.0.2

Revision 1.182  2004/02/09 23:32:57  ankry
- unified flexion: none

Revision 1.181  2004/01/23 18:51:21  arekm
- added mount.cifs binary

Revision 1.180  2004/01/07 11:39:06  qboosh
- fixed duplicates in swat file list, don't use lang() for en

Revision 1.179  2004/01/02 17:57:19  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.178  2003/12/30 13:23:07  jajcus
- AMD64 fixes: %{_lib} fixes, lib64 patch, -fPIC to VFS example CFLAGS, config.sub updated in samba-vscan

Revision 1.177  2003/12/16 15:32:47  wrobell
- fixed typo (thanks to Andrzej Zawadzki)

Revision 1.176  2003/12/16 13:54:16  wrobell
- fixed main package epoch issue

Revision 1.175  2003/12/16 13:24:11  wrobell
- see no todo items, so release 1

Revision 1.174  2003/12/16 13:18:41  wrobell
- updated md5

Revision 1.173  2003/12/16 12:39:14  wrobell
- ver. 3.0.1, nfy: need to fetch sources, etc...

Revision 1.172  2003/12/12 18:36:56  ankry
- cosmetics

Revision 1.171  2003/12/12 10:06:42  arekm
- updated to 3.0.1rc2

Revision 1.170  2003/12/11 18:57:23  qboosh
- fixed bcond description, pl for pdb-*

Revision 1.169  2003/12/11 17:35:25  wrobell
- added mysql bcond
- added password database subpackages: mysql, xml (samba core package does
  not depend on mysql anymore)
- rel. 0.2

Revision 1.168  2003/12/10 20:46:45  qboosh
- fixed new-style bconds

Revision 1.167  2003/12/10 19:41:54  pzurowski
- switched to the new style bconds

Revision 1.166  2003/12/10 19:30:05  wrobell
- todo added

Revision 1.165  2003/12/05 23:34:52  arekm
- updated to 3.0.1rc1 (fixed hosts allow problems)

Revision 1.164.2.36  2004/05/13 13:51:44  tommat
- fixed parallel build - my mistake ;-)

Revision 1.164.2.35  2004/05/13 12:56:57  tommat
- updated to 3.0.4
- disabled parallel build for vscan modules
- added smbgetrc manpage to smbget package

Revision 1.164.2.34  2004/05/05 12:01:25  qboosh
- cosmetics

Revision 1.164.2.33  2004/05/04 16:18:50  tommat
- fixed rel number
- added samba-shadow-copy package (no idea for package description)

Revision 1.164.2.32  2004/05/02 20:22:10  tommat
- fixed url in source0

Revision 1.164.2.31  2004/04/30 19:48:26  tommat
- version 3.0.3

Revision 1.164.2.30  2004/04/23 19:54:48  tommat
- fixed md5 sums

Revision 1.164.2.29  2004/04/23 15:03:53  tommat
- ver 3.0.3rc1, fixed doc paths

Revision 1.164.2.28  2004/04/16 19:34:53  tommat
- added with python bcond, becouse now it wont build with it :)

Revision 1.164.2.27  2004/04/07 16:07:33  tommat
- rel 3.0.3pre2, not building

Revision 1.164.2.26  2004/03/22 22:12:30  tommat
- ver 3.0.3pre1, builds but who knows if it works ;)

Revision 1.164.2.25  2004/03/22 21:22:29  tommat
- removed tdbdump manpage

Revision 1.164.2.24  2004/03/22 21:04:59  tommat
- removed tdbdump utility
- BR openssl-devel >= 0.9.7d
- package client obsoletes mount-cifs
- cosmetics
- rel 4.1

Revision 1.164.2.23  2004/02/24 12:13:54  tommat
- version 3.0.2a

Revision 1.164.2.22  2004/02/12 14:53:44  tommat
- added /etc/sysconfig/winbind for winbind server

Revision 1.164.2.21  2004/02/11 15:02:45  tommat
- new version 3.0.2
- added todo

Revision 1.164.2.20  2004/02/03 03:21:15  tommat
- changed builddir to rc2 - now it builds

Revision 1.164.2.19  2004/02/03 01:49:44  tommat
- updated to 3.0.2rc2 - not compiled nor tested

Revision 1.164.2.18  2004/01/27 21:15:21  tommat
- rel 0.3
- added mount.cifs binary

Revision 1.164.2.17  2004/01/23 10:55:29  tommat
- added manpage for tdbdump - no more omited files

Revision 1.164.2.16  2004/01/23 08:27:20  tommat
- rel 0.2
- added smbget package

Revision 1.164.2.15  2004/01/22 23:25:45  tommat
- changed rel to 0.1 - it is not finished yet

Revision 1.164.2.14  2004/01/22 22:23:27  tommat
- AMD64 fixes: %{_lib} fixes, lib64 patch, -fPIC to VFS example CFLAGS, config.sub updated in samba-vscan
- fixed duplicates in swat file list, don't use lang() for en
- version 3.0.2rc1
- compilable but not finished

Revision 1.164.2.13  2003/12/21 23:59:14  tommat
- corrected package group entry in nss_wins package

Revision 1.164.2.12  2003/12/21 23:57:11  tommat
- added nss_wins subpackage

Revision 1.164.2.11  2003/12/21 21:45:40  tommat
- package samba-swat now obsoletes swat (thanks to ankry)
- rel 1.2 to be greater than samba from HEAD

Revision 1.164.2.10  2003/12/19 23:05:30  tommat
- added epoch to provides with vfs modules
- removed turned by defauld configure options
- removed not supported with configure script options
- corrected config dir path
- changed swat package name to samba-swat
- rel 0.2

Revision 1.164.2.9  2003/12/19 16:44:48  tommat
- dont redefine standard vars configure (--with-fhs) uses them

Revision 1.164.2.7  2003/12/13 17:14:38  tommat
- too much options was deleted now it builds

Revision 1.164.2.6  2003/12/13 13:46:14  tommat
- simplified configure parameters, --with-fhs is working properly now
  (according to configure script and samba changelog) and it sets up
  set of parameters.

Revision 1.164.2.5  2003/12/13 13:30:29  tommat
- cosmetics spaces->tabs
- changed package group for winbind
- fixed bconds

Revision 1.164.2.4  2003/12/13 11:29:27  tommat
- adapterized

Revision 1.164.2.3  2003/12/13 11:26:01  tommat
- merged changes from HEAD:
- rc2 source
- new bconds
- added password database subpackages: mysql, xml

Revision 1.164.2.2  2003/12/06 17:19:05  tommat
- updated to 3.0.1rc1 (fixed hosts allow problems) (merged from HEAD)

Revision 1.164.2.1  2003/12/05 14:25:53  tommat
- separated winbindd into new package
- added --with-python configure opts
- added br due to configure --with-python
- removed --with-fhs because is not FHS compilant

Revision 1.164  2003/11/26 15:14:34  arekm
- merged version from SAMBA_3

Revision 1.154.2.26  2003/11/25 22:07:25  speedy
- mistake

Revision 1.154.2.25  2003/11/25 21:38:09  speedy
- release 3
- vfs-scan-mks is only x86

Revision 1.154.2.24  2003/11/20 17:23:26  tommat
- no more omited files. rel up.

Revision 1.154.2.23  2003/11/20 10:17:35  tommat
- added omited files to swat package

Revision 1.154.2.22  2003/11/18 19:03:27  qboosh
- libsmbclient-static cosmetics

Revision 1.154.2.21  2003/11/18 16:25:33  tommat
- corrected libsmbclient library path (according to FHS)
- created new subpackage for libsmbclient static version of the library

Revision 1.154.2.20  2003/11/16 18:49:39  tommat
- corrected source path
- added md5 for source0
- fixed br - now requires libxml2-devel and mysql-extras
- compiliable now but who knows if it works....

Revision 1.154.2.19  2003/11/15 17:10:00  pbern
- up to 3.0.1pre3
- rel 0.1

Revision 1.154.2.18  2003/11/09 20:27:16  qboosh
- one more sparc workaround added to patch
- BR: xfsprogs-devel (for xfs quotas support)

Revision 1.154.2.17  2003/11/09 16:37:29  qboosh
- added statfs-workaround patch (statfs.h workaround for alpha/ppc/sparc)
- cleanups, unifications, don't build empty package

Revision 1.154.2.16  2003/11/05 11:41:27  cieciwa
- added bcond --without ldap and --without krb5.

Revision 1.154.2.15  2003/10/28 20:38:12  inglod
- vfs-vscan-mks Required: mksd

Revision 1.154.2.14  2003/10/20 16:44:57  djrzulf
- fixed, thanks for short circuit :@,

Revision 1.154.2.13  2003/10/05 17:12:51  arekm
- enable kerberos support (and Active Directory support)
- rename/fix openldap bcond/requires
- enable mysql and xml modules (need more work)
- add charset modules

Revision 1.154.2.12  2003/10/01 15:12:55  wiget
- md5

Revision 1.154.2.11  2003/09/29 23:21:42  ankry
- formatting

Revision 1.154.2.10  2003/09/29 21:38:32  pbern
- create vscan-mks and vscan-kavp packages

Revision 1.154.2.9  2003/09/29 21:00:14  pbern
- vscan build ok
- clean

Revision 1.154.2.8  2003/09/25 13:40:09  arekm
- updated to final 3.0.0

Revision 1.154.2.7  2003/09/15 19:06:08  pbern
- remove old patch

Revision 1.154.2.6  2003/09/15 06:39:09  pbern
- rc4
- vscan 0.3.4

Revision 1.154.2.5  2003/09/09 06:38:18  pbern
- update to rc3

Revision 1.154.2.4  2003/08/29 08:52:30  pbern
- update to rc2

Revision 1.154.2.3  2003/08/21 12:03:55  areq
- smb.conf -> /etc/samba

Revision 1.154.2.2  2003/08/20 22:22:04  areq
- #patches

Revision 1.154.2.1  2003/08/20 22:05:44  areq
- start update to  3rc

Revision 1.154  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.153  2003/07/30 09:17:11  blues
- more macros

Revision 1.152  2003/07/21 23:11:48  undefine
- clamav now works with unix sockets ;)
- requires clamav for samba-vfs-vscan-clamav
- version 1.6, ready to test

Revision 1.151  2003/07/21 14:12:08  undefine
- add clamav module(modified oav), require clamd running on ip.

Revision 1.150  2003/07/21 09:32:59  qboosh
- pl fixes, BR: libtool

Revision 1.149  2003/07/20 23:46:34  undefine
- vscan requires popt-devel

Revision 1.148  2003/07/20 21:55:21  undefine
- add antivirus modules, ready to tests

Revision 1.147  2003/07/18 22:17:11  undefine
- split samba-vfs-modules into vfs-audit vfs-block vfs-recycle,
  vscan coming soon ;)

Revision 1.146  2003/07/18 00:43:23  undefine
- typo, still not tested

Revision 1.145  2003/07/18 00:40:28  undefine
- add compilation vscan modules

Revision 1.144  2003/07/17 23:45:52  undefine
- hardcode _reallibdir, hgw why it doesn't work as i want.

Revision 1.143  2003/07/17 23:03:36  undefine
- add vfs-modules, not tested yet

Revision 1.142  2003/07/17 22:56:44  undefine
- I know why...

Revision 1.141  2003/07/17 22:21:39  undefine
- why %define	_libdir	%{_sysconfdir} ???

Revision 1.140  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.139  2003/05/25 06:26:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.138  2003/04/09 11:10:38  qboosh
- more specific Requires

Revision 1.137  2003/04/07 17:20:10  pbern
- secure update to 2.2.8a
- bug: http://www.digitaldefense.net/labs/advisories/DDI-1013.txt

Revision 1.136  2003/03/19 12:22:14  qboosh
- added _without_cups bcond

Revision 1.135  2003/03/15 18:19:38  misi3k
- %install fix
- rel 2

Revision 1.134  2003/03/15 17:48:47  misi3k
- secuirty update to 2.2.8
  Bug: A buffer overrun condition exists in the SMB/CIFS packet fragment
  re-assembly code in smbd which would allow an attacker to cause smbd to
  overwrite arbitrary areas of memory in its own process address space. This
  could allow a skilled attacker to inject binary specific exploit code into
  smbd.

Revision 1.133  2003/02/28 10:08:54  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.132  2003/02/14 10:43:19  qboosh
- moved /etc/samba dir to -common

Revision 1.131  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.130  2002/12/12 10:37:31  orzech
- commented out new manpages - those prgs are not ready yet

Revision 1.129  2002/12/12 09:00:20  orzech
- up to 2.2.7a (LFS support & minor bugfixes)
- added missing manpages
- adapterized

Revision 1.128  2002/12/10 17:21:10  wiget
- typo reported by Piotr Zalewski <peter at dmcs.p.lodz.pl>
- release 3

Revision 1.127  2002/12/10 11:52:22  qboosh
- pl description for cups-backend-smb

Revision 1.126  2002/12/10 11:25:55  wiget
- separate smbspool to cups-backend-smb subpackage
- added findsmb to client subpackage
- added tdbbackup to main package
- release 2

Revision 1.125  2002/12/02 22:09:00  ankry
- pl Summary/description fixes
- adapterized

Revision 1.124  2002/12/02 11:06:26  ankry
- massive cleaning

Revision 1.123  2002/11/20 20:25:38  kloczek
- updated to 2.2.7: security fix that could potentially allow an attacker
  to gain root access on the target machine
  (look at: http://www.samba.org/samba/whatsnew/samba-2.2.7.html)

Revision 1.122  2002/11/18 08:52:08  kloczek
- release 2: merge translations from MIZI.

Revision 1.121  2002/11/17 12:48:53  misiek
- lmhosts readable for everyone

Revision 1.120  2002/10/21 14:22:42  kloczek
- upated to 2.2.6: bug fixes.

Revision 1.119  2002/10/15 09:57:24  orzech
- swat is ipv4 only
- rel7, STBR

Revision 1.118  2002/09/11 15:16:15  areq
- fix %doc

Revision 1.117  2002/07/20 17:54:50  blues
- cleanups in numbers of patches
- activated acl's - not tested, my mashine is suffering from heat...

Revision 1.116  2002/07/18 15:17:02  marcus
- i fixed libmbclient, rel.6.

Revision 1.115  2002/07/18 08:56:14  kloczek
- bump release to 5.

Revision 1.114  2002/06/23 21:04:09  kloczek
- merge translation from TurboLinux.

Revision 1.113  2002/06/23 20:31:28  baseciq
- rel 1 / stbr -> test

Revision 1.112  2002/06/21 09:32:07  ggodlewski
- updated to 2.2.5
- s/\/home\/samba/\/home\/services\/samba/

Revision 1.111  2002/06/13 14:23:48  tiwek
- added CIFS Extenstions patch
- release 2

Revision 1.110  2002/06/13 00:13:08  undefine
- standarize pam modules -> pam_smbpass to pam-pam_smbpass

Revision 1.109  2002/06/07 09:35:39  blues
- few more docs
- updated DESTDIR-fix patch - forgetten commit
  STBR now..

Revision 1.108  2002/06/05 12:29:49  kloczek
- merge translations drom KSI, Conectiva, Kondtra and adapterize spec file.

Revision 1.107  2002/06/04 09:07:57  blues
- added DESTDIR fix patch

Revision 1.106  2002/06/04 08:39:42  blues
- place pid in /var/run

Revision 1.105  2002/06/04 08:14:43  blues
- fix lock dir - samba looks for lock in strange place...

Revision 1.104  2002/06/03 20:56:55  blues
- release 1 - it works for me, why not use it?
- fixed libsmbclient descriptions
  STBR, I think

Revision 1.103  2002/05/25 17:13:49  misiek
- fix libsmbclient requires

Revision 1.102  2002/05/21 23:14:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.101  2002/05/21 11:32:59  kloczek
- release 0.4,
- rename libsmbclient{,-devel} to -n libsmbclient{,-devel},
- use new %doc packing automation.

Revision 1.100  2002/05/21 09:43:40  mkochano
- Kurwamać

Revision 1.99  2002/05/21 09:10:14  mkochano
- Create /usr/lib.

Revision 1.98  2002/05/21 08:50:02  mkochano
- What a bright idea: %define libdir %{_sysconfdir}...

Revision 1.97  2002/05/21 08:41:45  mkochano
- Corrected requirement.

Revision 1.96  2002/05/20 23:13:15  mkochano
- Release 0.3.
- Added libsmbclient{,-devel} subpackages. I think we'll be able to
  build konqueror with samba support now.

Revision 1.95  2002/05/20 12:34:24  pioklo
- remove outdated patch7 ,rel 0.2 ,STBR -> test

Revision 1.94  2002/05/20 09:09:45  pioklo

- up to 2.2.4
- remove outdated patch vfs modules (patch10)
- remove patch srv_spoolss (patch6)
- relase 0.1
- need test ,  compile ok

Revision 1.93  2002/04/21 09:59:42  misiek
- argh, don't apply v6 patch when without ipv6

Revision 1.92  2002/04/21 09:58:57  misiek
- conditional ipv6 support (disabled by default for now)

Revision 1.91  2002/04/18 15:34:13  misiek
- include docs

Revision 1.90  2002/04/18 15:16:44  misiek
- updated to 2.2.3a + fixed quotas on 2.4.x

Revision 1.89  2002/04/17 21:08:11  hunter
- patch for vfs external modules.

Revision 1.88  2002/04/16 19:19:33  marcus
- changed %make to everything

Revision 1.87  2002/04/15 16:45:20  misiek
- updated to 2.2.3a but requires testing

Revision 1.86  2002/04/14 20:13:05  undefine
- release 4 to rebuild with fixed smb.init

Revision 1.85  2002/04/12 13:45:08  qboosh
- removed make_* from base (they are in -common); release 3

Revision 1.84  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.83  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/02/15 09:38:05  qboosh
- added (conditional) LDAP support

Revision 1.81  2002/02/08 18:51:49  blues
- release 2
- adapterized
- added conditional start od winbindd

Revision 1.80  2002/02/03 18:46:58  marcus
- winbindd added, STBR

Revision 1.79  2002/02/03 12:52:04  marcus
- updated to 2.2.3 (fixed some memory leaks and fixed Win2000 support)
- rc-script need update for winbindd

Revision 1.78  2002/01/18 08:38:08  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.77  2002/01/18 02:14:51  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.76  2002/01/05 23:01:27  serek
- now :-) builds.

Revision 1.75  2002/01/05 22:55:01  serek
- now builds.

Revision 1.74  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.73  2001/11/24 01:26:38  kloczek
- added samba-swat to Provides, Obsolets in swat subpackage for allow upgrade
  from RH version.

Revision 1.72  2001/10/11 14:06:05  qboosh
- missing pl summary, BuildRequires: autoconf

Revision 1.71  2001/10/08 08:50:31  marcus
- reverted and fixed gzipping %doc (thanks to qboosh)

Revision 1.70  2001/10/07 20:04:34  marcus
- removed gzipping %doc (using rpm automation)

Revision 1.69  2001/10/05 19:14:35  baggins
- release 4
- more debug 0 suckage

Revision 1.68  2001/10/03 01:12:47  baggins
- release 3
- added samba-debug-0-suxorz.patch, some messages should not be at level 0

Revision 1.67  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.66  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.64  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.63  2001/07/14 23:55:13  kloczek
- release 2: rebuild again on openssl 0.9.6a.

Revision 1.62  2001/07/12 13:31:19  kloczek
- updated to 2.2.1a.

Revision 1.61  2001/07/11 22:09:14  lukasz
- fixed doc section

Revision 1.60  2001/07/11 18:47:40  lukasz
- updated to 2.2.1

Revision 1.59  2001/06/24 14:34:55  lukasz
- 2.2.0a (fixed security bug)

Revision 1.58  2001/05/10 07:33:10  misiek
- added missing BuildRequires: openssl-devel >= 0.9.6a
- release 2

Revision 1.57  2001/04/18 01:03:11  misiek
- typo

Revision 1.56  2001/04/18 00:36:42  misiek
- 2.2.0 (testing package release)

Revision 1.55  2001/04/13 00:53:54  kloczek
- release 29: rebuild against readline 4.2.

Revision 1.54  2001/04/09 08:08:48  mkochano
- Release 28.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.53  2001/04/07 10:34:53  misiek
- adapterized; added defattr; moved doc to common subpackage; stb

Revision 1.52  2001/04/07 01:34:35  martii
- release 27
- samba divided into server, common and client - please verify this is my first spec ...

Revision 1.51  2001/01/03 14:07:01  zagrodzki
- release 26
- added awk_path.patch

Revision 1.50  2000/12/31 16:26:08  jajcus
- Release: 25
- fix of nmbd packet source address selection

Revision 1.49  2000/11/05 20:25:08  kloczek
- release 24: fixed init script (misiek).

Revision 1.48  2000/11/04 13:14:05  kloczek
- release 23,
- merged patches from RH (autoconf, smbadduser, nocups),
- use new rpm automation,
- spec adapterized,
- fixes for standarize %post/%preun.

Revision 1.47  2000/11/04 12:21:59  bszx
- rc-inetd restart/stop changed into rc-inetd reload

Revision 1.46  2000/10/20 23:24:49  misiek
- updated

Revision 1.45  2000/10/14 21:30:08  mkochano
- Release 13.
- Added mksmbpasswd.sh used to convert /etc/passwd to /etc/smbpasswd.

Revision 1.44  2000/07/13 23:21:18  baggins
- release 12
- rebuild with ncurses 5.1

Revision 1.43  2000/07/13 11:23:42  mkochano
- Fixed bug in 'post' section.

Revision 1.42  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.41  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.40  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.39  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.38  2000/03/23 14:23:14  kloczek
- release 10,
- added nsl patch for linking samba binaries with libnsl (from rawhide),
- added smbprint patch with fixes paths in smbprint script,
- new init script rc-scripts 0.2.0 compliant,
- added %triggerpostun for samba < 1.9.18p7 and samba < 2.0.5a-3 (from RH
  spec),
- build against readline 4.1,
- removved bogus stripping fron %install.

Revision 1.37  2000/02/14 08:49:52  waszi
- fixed symlinks

Revision 1.36  2000/02/03 08:53:47  waszi
- another small changes (pam.d or init.d)

Revision 1.35  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.34  1999/11/29 04:44:20  kloczek
- release 3,
- added manpages_PLD_fixes patch.

Revision 1.33  1999/11/28 17:29:44  kloczek
- added glibc21 patch from rawhide.

Revision 1.32  1999/11/27 00:26:36  kloczek
- added fix_link_libs patch which fix link libraries list for each binary
  (now each binaries depends on only neccessary libraries),
- fixed init script:
  - now this is /bin/sh script,
  - added reload target,
- added making /etc/security in %install,
- added /var/log/archive/samba directory for archiving by logrotate old log
  giles (modified samba.logrotate for this).

Revision 1.31  1999/11/26 18:54:28  kloczek
- added /etc/security/blacklist.samba file.

Revision 1.30  1999/11/26 17:33:02  jajcus
- some (not so pretty) fixes, so package compiles

Revision 1.29  1999/11/26 13:52:19  kloczek
- added DESTDIR style %install (DESTDIR patch),
- cuted %changelog,
- added noreplace for sysconfig file for samba,
- fiew files separated into Source# files.

Revision 1.28  1999/11/25 13:45:04  pius
- added swat.inetd
- added 'Requires: rc-inted, inetdaemon' to swat subpackage
- added %post{un} scripts for swat subpackage

Revision 1.27  1999/11/25 05:27:45  kloczek
- more doc (added sample config files),
- standarized %post,
- added stripping binaries,
- changed permission on init script to 754,
- some cosmetic changes.

Revision 1.26  1999/11/24 09:51:51  wiget
- added more documentations
- some cleanups

Revision 1.25  1999/11/24 09:04:09  kloczek
- release 2 (in rawhide is 1),
- build against ncurses 5.0,
- more rpm macros,
- %description reformatings and reorders,
- adapter(ized).

Revision 1.24  1999/11/23 23:58:41  wiget
- updated to 2.0.6

Revision 1.23  1999/10/29 22:51:31  wiget
- enable pam support
- added translations from Mandrake

Revision 1.22  1999/08/05 21:58:23  waszi
- upgraded to 2.0.5a

Revision 1.21  1999/07/28 13:31:10  baggins
- stripping binaries

Revision 1.20  1999/07/21 14:33:43  baggins
- fixed %install
- added samba.pamd

Revision 1.19  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field
